package com.agilex.healthcare.mobilehealthplatform.consult.dao;

import java.util.List;

import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObject;
import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObjectCollection;

public class Mapper {
    public static void add(List<Transformable<? extends DomainTransferObject>> queryResults, DomainTransferObjectCollection dtos) {
        if (queryResults == null)
            return;

        for (Transformable<? extends DomainTransferObject> result : queryResults) {
            dtos.add(result.create());
        }
    }
}
