package com.agilex.healthcare.mobilehealthplatform.consult.datalayer;

import com.agilex.healthcare.facilitydefinition.datalayer.specialty.SpecialtyDataLayer;
import com.agilex.healthcare.mobilehealthplatform.consult.dao.cdw.LookupListDaoCdw;
import com.agilex.healthcare.mobilehealthplatform.domain.Specialties;
import com.agilex.healthcare.mobilehealthplatform.domain.Specialty;
import javax.annotation.Resource;

import org.apache.commons.lang.NotImplementedException;
import org.springframework.stereotype.Service;

@Service
public class SpecialtyDataLayerCdw implements SpecialtyDataLayer {

	@Resource
	LookupListDaoCdw consultDao;
	
	@Override
	public Specialties fetchSpecialties(String facilityCode) {
		return consultDao.fetchSpecialties(facilityCode);
	}

	@Override
	public Specialty fetchSpecialty(String facilityCode, String specialtyName) {
		throw new NotImplementedException("Not suppport in CDW mode.");
	}
}