package com.agilex.healthcare.mobilehealthplatform.datalayer.consult;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.AbstractFetchPatientDataListRequestHandler;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataFetchRequestReader;
import com.agilex.healthcare.mobilehealthplatform.domain.Consult;
import com.agilex.healthcare.mobilehealthplatform.domain.Consults;

public class FetchConsultListRequestHandler extends AbstractFetchPatientDataListRequestHandler<ConsultDataLayer, Consults, Consult> {

	@Override
	protected Consults invokeDataLayerToFetchList(ConsultDataLayer datalayer, RequestMessage requestMessage, PatientDataFetchRequestReader messageReader) {
		ConsultFetchRequestReader consultFetchRequestReader = new ConsultFetchRequestReader(requestMessage);
		return datalayer.fetchPatientConsults(consultFetchRequestReader.getPatientIdentifier(), consultFetchRequestReader.getConsultFilter());
	}

}
