package com.agilex.healthcare.mobilehealthplatform.datalayer.patient;

import com.agilex.healthcare.mobilehealthplatform.domain.Patient;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class PatientInternalDataService {
	
	private PatientInternalDataLayer datalayer = null;
	
	public PatientInternalDataService() {
		datalayer = MhpObjectFactory.getInstance().getPatientInternalDataLayer();	
	}
	
	public Patient fetchPatientById(String patientId){
		return datalayer.fetchPatientById(patientId);
	}
	
	public Patient savePatient(Patient patient) {
		return datalayer.savePatient(patient);
	}
}
