package com.agilex.healthcare.mobilehealthplatform.restservice.exception;

import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import javax.ws.rs.ext.ExceptionMapper;
import javax.ws.rs.ext.Provider;

@Provider
public class InvalidOrderExceptionMapper implements ExceptionMapper<InvalidOrderException> {

	@Override
	public Response toResponse(InvalidOrderException ex) {
		return Response.status(400).entity(ex.getErrors()).type(MediaType.APPLICATION_JSON).build();
	}
}