package com.agilex.healthcare.mobilehealthplatform.restservice.exception;

import com.agilex.healthcare.mobilehealthplatform.datalayer.medication.MedicationRefillException;

import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import javax.ws.rs.ext.ExceptionMapper;
import javax.ws.rs.ext.Provider;

@Provider
public class MedicationRefillExceptionMapper implements ExceptionMapper<MedicationRefillException> {

    @Override
    public Response toResponse(MedicationRefillException ex) {
        return Response.status(Response.Status.BAD_REQUEST).entity(ex.getErrors()).type(MediaType.APPLICATION_JSON).build();
    }
}
