package com.agilex.healthcare.mobilehealthplatform.utils;

import agilex.commons.helper.PropertyHelper;
import com.mongodb.MongoClientURI;

/**
 * Created by
 * User: ralph
 * Date: 12/12/13
 * Time: 12:02 PM
 */
public class MongoHelper {

    private MongoHelper() {
    }

    public static MongoClientURI getMongoUri(PropertyHelper helper) {

        if(helper != null) {
            String      property = helper.getProperty("mongodb.uri");
            if(property != null && property.trim().length() > 0) {
                return new MongoClientURI(property.trim());
            }
        }

        return new MongoClientURI("mongodb://localhost");
    }
}
