package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import java.net.URI;

import com.agilex.healthcare.mobilehealthplatform.domain.Allergies;
import com.agilex.healthcare.mobilehealthplatform.domain.Allergy;

public class AllergyLinkBuilder extends AbstractSimplePatientDataLinkBuilder<Allergies, Allergy> {

	public AllergyLinkBuilder(URI baseUri) {
		super(baseUri);
	}

	@Override
	protected String getDomainSpecificPath() {
		return "allergies";
	}

	@Override
	public URI getCannonicalSelfUri(Allergy dataItem) {
		return null;
	}

}
