package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import java.net.URI;

import com.agilex.healthcare.mobilehealthplatform.domain.LabResult;
import com.agilex.healthcare.mobilehealthplatform.domain.LabResults;

public class MicrobiologyLabLinkBuilder extends AbstractSimplePatientDataLinkBuilder<LabResults, LabResult> {

	public MicrobiologyLabLinkBuilder(URI baseUri) {
		super(baseUri);
	}

	@Override
	protected String getDomainSpecificPath() {
		return "lab-microbiology";
	}

	@Override
	public URI getCannonicalSelfUri(LabResult dataItem) {
		return null;
	}

}
