package com.agilex.healthcare.notewriter.datalayer;

import com.agilex.healthcare.mobilehealthplatform.datalayer.appointment.AppointmentDataLayerMdws;
import com.agilex.healthcare.mobilehealthplatform.domain.Appointments;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilter;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class PatientAppointmentsDataService {
	private AppointmentDataLayerMdws dataLayer = null;
	
	public PatientAppointmentsDataService() {
		dataLayer = MhpObjectFactory.getInstance().getAppointmentDataLayerMdws();
	}

	public Appointments getVisits(PatientIdentifier patientIdentifier, DateFilter dateFilter) {
		Appointments appts = dataLayer.getVisits(patientIdentifier, dateFilter);
		return appts;
	}
}
