package com.agilex.healthcare.notewriter.datalayer.facilityprovider;

import com.agilex.healthcare.mobilehealthplatform.utils.StringUtil;
import com.agilex.healthcare.mobilehealthplatform.domain.FacilityProvider;
import com.mongodb.DBObject;


public class FacilityProviderTranslator {
	public static final String FACILITY_CODE_KEY = "facility";
	public static final String IEN_KEY = "ien";
	public static final String NAME_KEY = "name";
	
	public FacilityProvider translate(DBObject po) {
		FacilityProvider provider = new FacilityProvider();
		provider.setProviderIen(StringUtil.objectToString(po.get(IEN_KEY)));
		provider.setProviderName(StringUtil.objectToString(po.get(NAME_KEY)));
		provider.setFacilityCode(StringUtil.objectToString(po.get(FACILITY_CODE_KEY)));
		return provider;
	}
}
