package com.agilex.healthcare.notewriter.datalayer.visitrelatedto;

import com.agilex.healthcare.mdws.datalayer.EncounterDataLayer;
import com.agilex.healthcare.mdws.domain.SvcConditionRelatedTos;
import com.agilex.healthcare.mobilehealthplatform.domain.VisitRelatedTos;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;
import com.agilex.healthcare.notewriter.datalayer.visitrelatedto.VisitRelatedToTranslator;

public class VisitRelatedToDataService {
	public VisitRelatedTos getVisitRelatedTos(String facilityCode, String patientIen, String visitDate, String locationIen) {
		EncounterDataLayer dataLayer = MhpObjectFactory.getInstance().getMdwsEncounterDataLayer();
		SvcConditionRelatedTos svcConditionRelatedTos = dataLayer.getSvcConnectedRelatedToConditions(facilityCode, patientIen, visitDate, locationIen);

		//(facilityCode, locationIen, date);
		
		VisitRelatedTos retValue = VisitRelatedToTranslator.translateSvcConditionRelatedTos(svcConditionRelatedTos);
		return retValue;
	}
}
