package com.agilex.healthcare.notewriter.datalayer.visitrelatedto;

import com.agilex.healthcare.mdws.domain.SvcConditionRelatedTo;
import com.agilex.healthcare.mdws.domain.SvcConditionRelatedTos;
import com.agilex.healthcare.mobilehealthplatform.domain.VisitRelatedTo;
import com.agilex.healthcare.mobilehealthplatform.domain.VisitRelatedTos;

public class VisitRelatedToTranslator {
	public static VisitRelatedTos translateSvcConditionRelatedTos(SvcConditionRelatedTos svcConditionRelatedTos) {
		VisitRelatedTos visitRelatedTos = new VisitRelatedTos();
		
		for (SvcConditionRelatedTo svcConditionRelatedTo : svcConditionRelatedTos) {
			VisitRelatedTo visitRelatedTo = new VisitRelatedTo();
			visitRelatedTo.setTitle(svcConditionRelatedTo.getNameOfRelatedToSvcCondition());
			visitRelatedTo.setCode(svcConditionRelatedTo.getCode());
			visitRelatedTo.setEnabled(svcConditionRelatedTo.getIsAllowed());
			visitRelatedTo.setChecked(svcConditionRelatedTo.getDefaultValue());
			visitRelatedTos.add(visitRelatedTo);
		}
		
		return visitRelatedTos;
	}

}
