package com.agilex.healthcare.mobilehealthplatform.security;

import java.util.ArrayList;
import java.util.List;

import org.junit.Assert;
import org.junit.Test;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;

public class VoterHelperTest {

	@Test
	public void userHasRole(){
		List<GrantedAuthority> authorities = new ArrayList<GrantedAuthority>();
		authorities.add(new SimpleGrantedAuthority(Roles.ROLE_CONSUMER));
		authorities.add(new SimpleGrantedAuthority("ROLE_UNIT_TEST"));
		
		Assert.assertTrue(VoterHelper.hasRole(authorities , "ROLE_UNIT_TEST"));
		Assert.assertFalse(VoterHelper.hasRole(authorities, "ROLE_BOGUS"));
	}
}
