package com.agilex.healthcare.mdws.datalayer;

public class MdwsResponseValidator {
	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(MdwsResponseValidator.class);

	public static <T extends com.agilex.healthcare.mdws.generatedwsdl.emrservice.AbstractTO> void validateMdwsObject(T t) {
		if(t.getFault() != null) {
			logger.error("MDWSLib MdwsResponseValidator Exception : "+t.getFault().getMessage());
			throw new MdwsResponseException(t.getFault().getMessage());
		}
	}

	public static <T extends com.agilex.healthcare.mdws.generatedwsdl.encounterservice.AbstractTO> void validateMdwsObject(T t) {
		if(t.getFault() != null) {
			logger.error("MDWSLib MdwsResponseValidator Exception : "+t.getFault().getMessage());
			throw new MdwsResponseException(t.getFault().getMessage());
		}
	}

    public static <T extends com.agilex.healthcare.mdws.generatedwsdl.tiunotesservice.AbstractTO> void validateMdwsObject(T t) {
        if(t.getFault() != null) {
                logger.error("MDWSLib MdwsResponseValidator Exception : "+t.getFault().getMessage());
                throw new MdwsResponseException(t.getFault().getMessage());
        }
    }

}
