package com.agilex.healthcare.mdws.domain;

import java.util.ArrayList;

public class BasicCodes extends ArrayList<BasicCode> {
	private static final long serialVersionUID = 5825607958540730774L;

	public BasicCodes() {}
	
	public BasicCodes(BasicCode... codes) {
		for(int i = 0; i < codes.length; i++) {
			this.add(codes[i]);
		}
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		for (int i=0; i<this.size(); i++) {
			String s = String.format("BasicCode (%d of %d) - %s%n", (i+1), this.size(), this.get(i).toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
