package com.agilex.healthcare.mdws.domain;

import java.util.ArrayList;

public class UserMenuOptions extends ArrayList<UserMenuOption> {
	private static final long serialVersionUID = 6655812343820308669L;

	public UserMenuOptions() {}
	
	public UserMenuOptions(UserMenuOption... umos) {
		for(int i = 0; i < umos.length; i++) {
			this.add(umos[i]);
		}
	}
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		for (int i=0; i<this.size(); i++) {
			String s = String.format("UserMenuOption (%d of %d) - %s%n", (i+1), this.size(), this.get(i).toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
