
package com.agilex.healthcare.mdws.generatedwsdl.emrservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AdmissionTO complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdmissionTO">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/EmrSvc}AbstractTO">
 *       &lt;sequence>
 *         &lt;element name="wasDischarged" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="admissionDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="admissionReason" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="primaryProviderDuz" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="primaryProviderName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="attendingPhysicianDuz" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="attendingPhysicianName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="lengthOfStay" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ward" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="roomBed" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="treatingSpecialty" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dischargeDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dischargeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdmissionTO", propOrder = {
    "wasDischarged",
    "admissionDate",
    "admissionReason",
    "primaryProviderDuz",
    "primaryProviderName",
    "attendingPhysicianDuz",
    "attendingPhysicianName",
    "lengthOfStay",
    "ward",
    "roomBed",
    "treatingSpecialty",
    "dischargeDate",
    "dischargeType"
})
public class AdmissionTO
    extends AbstractTO
{

    protected boolean wasDischarged;
    protected String admissionDate;
    protected String admissionReason;
    protected String primaryProviderDuz;
    protected String primaryProviderName;
    protected String attendingPhysicianDuz;
    protected String attendingPhysicianName;
    protected String lengthOfStay;
    protected String ward;
    protected String roomBed;
    protected String treatingSpecialty;
    protected String dischargeDate;
    protected String dischargeType;

    /**
     * Gets the value of the wasDischarged property.
     * 
     */
    public boolean isWasDischarged() {
        return wasDischarged;
    }

    /**
     * Sets the value of the wasDischarged property.
     * 
     */
    public void setWasDischarged(boolean value) {
        this.wasDischarged = value;
    }

    /**
     * Gets the value of the admissionDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdmissionDate() {
        return admissionDate;
    }

    /**
     * Sets the value of the admissionDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdmissionDate(String value) {
        this.admissionDate = value;
    }

    /**
     * Gets the value of the admissionReason property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdmissionReason() {
        return admissionReason;
    }

    /**
     * Sets the value of the admissionReason property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdmissionReason(String value) {
        this.admissionReason = value;
    }

    /**
     * Gets the value of the primaryProviderDuz property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrimaryProviderDuz() {
        return primaryProviderDuz;
    }

    /**
     * Sets the value of the primaryProviderDuz property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrimaryProviderDuz(String value) {
        this.primaryProviderDuz = value;
    }

    /**
     * Gets the value of the primaryProviderName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrimaryProviderName() {
        return primaryProviderName;
    }

    /**
     * Sets the value of the primaryProviderName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrimaryProviderName(String value) {
        this.primaryProviderName = value;
    }

    /**
     * Gets the value of the attendingPhysicianDuz property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAttendingPhysicianDuz() {
        return attendingPhysicianDuz;
    }

    /**
     * Sets the value of the attendingPhysicianDuz property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAttendingPhysicianDuz(String value) {
        this.attendingPhysicianDuz = value;
    }

    /**
     * Gets the value of the attendingPhysicianName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAttendingPhysicianName() {
        return attendingPhysicianName;
    }

    /**
     * Sets the value of the attendingPhysicianName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAttendingPhysicianName(String value) {
        this.attendingPhysicianName = value;
    }

    /**
     * Gets the value of the lengthOfStay property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLengthOfStay() {
        return lengthOfStay;
    }

    /**
     * Sets the value of the lengthOfStay property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLengthOfStay(String value) {
        this.lengthOfStay = value;
    }

    /**
     * Gets the value of the ward property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWard() {
        return ward;
    }

    /**
     * Sets the value of the ward property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWard(String value) {
        this.ward = value;
    }

    /**
     * Gets the value of the roomBed property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRoomBed() {
        return roomBed;
    }

    /**
     * Sets the value of the roomBed property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRoomBed(String value) {
        this.roomBed = value;
    }

    /**
     * Gets the value of the treatingSpecialty property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTreatingSpecialty() {
        return treatingSpecialty;
    }

    /**
     * Sets the value of the treatingSpecialty property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTreatingSpecialty(String value) {
        this.treatingSpecialty = value;
    }

    /**
     * Gets the value of the dischargeDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDischargeDate() {
        return dischargeDate;
    }

    /**
     * Sets the value of the dischargeDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDischargeDate(String value) {
        this.dischargeDate = value;
    }

    /**
     * Gets the value of the dischargeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDischargeType() {
        return dischargeType;
    }

    /**
     * Sets the value of the dischargeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDischargeType(String value) {
        this.dischargeType = value;
    }

}
