
package com.agilex.healthcare.mdws.generatedwsdl.emrservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrderTO complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrderTO">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/EmrSvc}AbstractTO">
 *       &lt;sequence>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="orderIen" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="timestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="orderTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dateEntered" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="orderingServiceName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="treatingSpecialty" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="startDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="stopDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="orderStatus" type="{http://mdws.domain/EmrSvc}OrderStatus" minOccurs="0"/>
 *         &lt;element name="sigStatus" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="orderSigStatus" type="{http://mdws.domain/EmrSvc}SignatureStatus" minOccurs="0"/>
 *         &lt;element name="dateSigned" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="verifyingNurse" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dateVerified" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="verifyingClerk" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="chartReviewer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dateReviewed" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="provider" type="{http://mdws.domain/EmrSvc}UserTO" minOccurs="0"/>
 *         &lt;element name="text" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="orderText" type="{http://mdws.domain/EmrSvc}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="detail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="errMsg" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="flag" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="type" type="{http://mdws.domain/EmrSvc}OrderTypeTO" minOccurs="0"/>
 *         &lt;element name="location" type="{http://mdws.domain/EmrSvc}HospitalLocationTO" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrderTO", propOrder = {
    "id",
    "orderIen",
    "timestamp",
    "orderTimestamp",
    "dateEntered",
    "orderingServiceName",
    "treatingSpecialty",
    "startDate",
    "stopDate",
    "status",
    "orderStatus",
    "sigStatus",
    "orderSigStatus",
    "dateSigned",
    "verifyingNurse",
    "dateVerified",
    "verifyingClerk",
    "chartReviewer",
    "dateReviewed",
    "provider",
    "text",
    "orderText",
    "detail",
    "errMsg",
    "flag",
    "type",
    "location"
})
@XmlSeeAlso({
    ConsultTO.class
})
public class OrderTO
    extends AbstractTO
{

    protected String id;
    protected String orderIen;
    protected String timestamp;
    protected String orderTimestamp;
    protected String dateEntered;
    protected String orderingServiceName;
    protected String treatingSpecialty;
    protected String startDate;
    protected String stopDate;
    protected String status;
    protected OrderStatus orderStatus;
    protected String sigStatus;
    protected SignatureStatus orderSigStatus;
    protected String dateSigned;
    protected String verifyingNurse;
    protected String dateVerified;
    protected String verifyingClerk;
    protected String chartReviewer;
    protected String dateReviewed;
    protected UserTO provider;
    protected String text;
    protected ArrayOfString orderText;
    protected String detail;
    protected String errMsg;
    protected boolean flag;
    protected OrderTypeTO type;
    protected HospitalLocationTO location;

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the orderIen property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrderIen() {
        return orderIen;
    }

    /**
     * Sets the value of the orderIen property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrderIen(String value) {
        this.orderIen = value;
    }

    /**
     * Gets the value of the timestamp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTimestamp() {
        return timestamp;
    }

    /**
     * Sets the value of the timestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTimestamp(String value) {
        this.timestamp = value;
    }

    /**
     * Gets the value of the orderTimestamp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrderTimestamp() {
        return orderTimestamp;
    }

    /**
     * Sets the value of the orderTimestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrderTimestamp(String value) {
        this.orderTimestamp = value;
    }

    /**
     * Gets the value of the dateEntered property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDateEntered() {
        return dateEntered;
    }

    /**
     * Sets the value of the dateEntered property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDateEntered(String value) {
        this.dateEntered = value;
    }

    /**
     * Gets the value of the orderingServiceName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrderingServiceName() {
        return orderingServiceName;
    }

    /**
     * Sets the value of the orderingServiceName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrderingServiceName(String value) {
        this.orderingServiceName = value;
    }

    /**
     * Gets the value of the treatingSpecialty property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTreatingSpecialty() {
        return treatingSpecialty;
    }

    /**
     * Sets the value of the treatingSpecialty property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTreatingSpecialty(String value) {
        this.treatingSpecialty = value;
    }

    /**
     * Gets the value of the startDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * Sets the value of the startDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStartDate(String value) {
        this.startDate = value;
    }

    /**
     * Gets the value of the stopDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStopDate() {
        return stopDate;
    }

    /**
     * Sets the value of the stopDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStopDate(String value) {
        this.stopDate = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the orderStatus property.
     * 
     * @return
     *     possible object is
     *     {@link OrderStatus }
     *     
     */
    public OrderStatus getOrderStatus() {
        return orderStatus;
    }

    /**
     * Sets the value of the orderStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderStatus }
     *     
     */
    public void setOrderStatus(OrderStatus value) {
        this.orderStatus = value;
    }

    /**
     * Gets the value of the sigStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSigStatus() {
        return sigStatus;
    }

    /**
     * Sets the value of the sigStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSigStatus(String value) {
        this.sigStatus = value;
    }

    /**
     * Gets the value of the orderSigStatus property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureStatus }
     *     
     */
    public SignatureStatus getOrderSigStatus() {
        return orderSigStatus;
    }

    /**
     * Sets the value of the orderSigStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureStatus }
     *     
     */
    public void setOrderSigStatus(SignatureStatus value) {
        this.orderSigStatus = value;
    }

    /**
     * Gets the value of the dateSigned property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDateSigned() {
        return dateSigned;
    }

    /**
     * Sets the value of the dateSigned property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDateSigned(String value) {
        this.dateSigned = value;
    }

    /**
     * Gets the value of the verifyingNurse property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVerifyingNurse() {
        return verifyingNurse;
    }

    /**
     * Sets the value of the verifyingNurse property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVerifyingNurse(String value) {
        this.verifyingNurse = value;
    }

    /**
     * Gets the value of the dateVerified property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDateVerified() {
        return dateVerified;
    }

    /**
     * Sets the value of the dateVerified property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDateVerified(String value) {
        this.dateVerified = value;
    }

    /**
     * Gets the value of the verifyingClerk property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVerifyingClerk() {
        return verifyingClerk;
    }

    /**
     * Sets the value of the verifyingClerk property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVerifyingClerk(String value) {
        this.verifyingClerk = value;
    }

    /**
     * Gets the value of the chartReviewer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChartReviewer() {
        return chartReviewer;
    }

    /**
     * Sets the value of the chartReviewer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChartReviewer(String value) {
        this.chartReviewer = value;
    }

    /**
     * Gets the value of the dateReviewed property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDateReviewed() {
        return dateReviewed;
    }

    /**
     * Sets the value of the dateReviewed property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDateReviewed(String value) {
        this.dateReviewed = value;
    }

    /**
     * Gets the value of the provider property.
     * 
     * @return
     *     possible object is
     *     {@link UserTO }
     *     
     */
    public UserTO getProvider() {
        return provider;
    }

    /**
     * Sets the value of the provider property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserTO }
     *     
     */
    public void setProvider(UserTO value) {
        this.provider = value;
    }

    /**
     * Gets the value of the text property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getText() {
        return text;
    }

    /**
     * Sets the value of the text property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setText(String value) {
        this.text = value;
    }

    /**
     * Gets the value of the orderText property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getOrderText() {
        return orderText;
    }

    /**
     * Sets the value of the orderText property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setOrderText(ArrayOfString value) {
        this.orderText = value;
    }

    /**
     * Gets the value of the detail property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDetail() {
        return detail;
    }

    /**
     * Sets the value of the detail property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDetail(String value) {
        this.detail = value;
    }

    /**
     * Gets the value of the errMsg property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getErrMsg() {
        return errMsg;
    }

    /**
     * Sets the value of the errMsg property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setErrMsg(String value) {
        this.errMsg = value;
    }

    /**
     * Gets the value of the flag property.
     * 
     */
    public boolean isFlag() {
        return flag;
    }

    /**
     * Sets the value of the flag property.
     * 
     */
    public void setFlag(boolean value) {
        this.flag = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link OrderTypeTO }
     *     
     */
    public OrderTypeTO getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderTypeTO }
     *     
     */
    public void setType(OrderTypeTO value) {
        this.type = value;
    }

    /**
     * Gets the value of the location property.
     * 
     * @return
     *     possible object is
     *     {@link HospitalLocationTO }
     *     
     */
    public HospitalLocationTO getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     * 
     * @param value
     *     allowed object is
     *     {@link HospitalLocationTO }
     *     
     */
    public void setLocation(HospitalLocationTO value) {
        this.location = value;
    }

}
