
package com.agilex.healthcare.mdws.generatedwsdl.encounterservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PatientLocationTO complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PatientLocationTO">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/patientFinder/FindPatientService}AbstractTO">
 *       &lt;sequence>
 *         &lt;element name="medicalCenter" type="{http://mdws.domain/patientFinder/FindPatientService}SiteTO" minOccurs="0"/>
 *         &lt;element name="inpatientLocation" type="{http://mdws.domain/patientFinder/FindPatientService}HospitalLocationTO" minOccurs="0"/>
 *         &lt;element name="deceasedDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="futureAppointments" type="{http://mdws.domain/patientFinder/FindPatientService}TaggedAppointmentArrays" minOccurs="0"/>
 *         &lt;element name="contacts" type="{http://mdws.domain/patientFinder/FindPatientService}PatientAssociateArray" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PatientLocationTO", propOrder = {
    "medicalCenter",
    "inpatientLocation",
    "deceasedDate",
    "futureAppointments",
    "contacts"
})
public class PatientLocationTO
    extends AbstractTO
{

    protected SiteTO medicalCenter;
    protected HospitalLocationTO inpatientLocation;
    protected String deceasedDate;
    protected TaggedAppointmentArrays futureAppointments;
    protected PatientAssociateArray contacts;

    /**
     * Gets the value of the medicalCenter property.
     * 
     * @return
     *     possible object is
     *     {@link SiteTO }
     *     
     */
    public SiteTO getMedicalCenter() {
        return medicalCenter;
    }

    /**
     * Sets the value of the medicalCenter property.
     * 
     * @param value
     *     allowed object is
     *     {@link SiteTO }
     *     
     */
    public void setMedicalCenter(SiteTO value) {
        this.medicalCenter = value;
    }

    /**
     * Gets the value of the inpatientLocation property.
     * 
     * @return
     *     possible object is
     *     {@link HospitalLocationTO }
     *     
     */
    public HospitalLocationTO getInpatientLocation() {
        return inpatientLocation;
    }

    /**
     * Sets the value of the inpatientLocation property.
     * 
     * @param value
     *     allowed object is
     *     {@link HospitalLocationTO }
     *     
     */
    public void setInpatientLocation(HospitalLocationTO value) {
        this.inpatientLocation = value;
    }

    /**
     * Gets the value of the deceasedDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeceasedDate() {
        return deceasedDate;
    }

    /**
     * Sets the value of the deceasedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeceasedDate(String value) {
        this.deceasedDate = value;
    }

    /**
     * Gets the value of the futureAppointments property.
     * 
     * @return
     *     possible object is
     *     {@link TaggedAppointmentArrays }
     *     
     */
    public TaggedAppointmentArrays getFutureAppointments() {
        return futureAppointments;
    }

    /**
     * Sets the value of the futureAppointments property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaggedAppointmentArrays }
     *     
     */
    public void setFutureAppointments(TaggedAppointmentArrays value) {
        this.futureAppointments = value;
    }

    /**
     * Gets the value of the contacts property.
     * 
     * @return
     *     possible object is
     *     {@link PatientAssociateArray }
     *     
     */
    public PatientAssociateArray getContacts() {
        return contacts;
    }

    /**
     * Sets the value of the contacts property.
     * 
     * @param value
     *     allowed object is
     *     {@link PatientAssociateArray }
     *     
     */
    public void setContacts(PatientAssociateArray value) {
        this.contacts = value;
    }

}
