package com.agilex.healthcare.mobilehealthplatform.datalayer.consult;

import com.agilex.healthcare.mobilehealthplatform.domain.Consults;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.domain.ProviderIdentifier;

public interface ConsultDataLayer {
	public Consults fetchPatientConsults(PatientIdentifier patientId, ConsultFilter filter);
	public Consults fetchConsultsWrittenByProvider(ProviderIdentifier providerIdentifier, ConsultFilter filter);
	public Consults fetchConsultsBySpecialties(ConsultFilter filter, String facilityCode);
}
