package com.agilex.healthcare.mobilehealthplatform.datalayer.surgery;

import com.agilex.healthcare.mobilehealthplatform.domain.*;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilter;

public interface SurgeryDataLayer {
	Surgeries fetchSurgeries(PatientIdentifier patientIdentifier, DateFilter dateFilter);
	Surgery fetchSurgery(PatientIdentifier patientIdentifier, String surgeryId);
    public SurgeryReports fetchPatientSurgeryReports(PatientIdentifier patientIdentifier, DateFilter dateFilter);
}
