package com.agilex.healthcare.mobilehealthplatform.datalayer.ventilatorsetting;

import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.MutableDateFilter;

import java.util.Date;

public class VentilatorSettingFilter implements MutableDateFilter {
    private Date startDate = null;
    private Date endDate = null;

    public VentilatorSettingFilter() {}

    public VentilatorSettingFilter(Date startDate, Date endDate){
        this.startDate = startDate;
        this.endDate = endDate;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Override
    public String toString() {
        return String.format("[startDate: %s][endDate: %s]", startDate, endDate);
    }
}
