package com.agilex.healthcare.mobilehealthplatform.datalayer.vital;

import com.agilex.healthcare.mobilehealthplatform.domain.*;

public interface VitalDataLayer {
	public VitalEntries fetchVitalEntries(PatientIdentifier patientIdentifier, VitalEntryFilter filter);
	public VitalEntry fetchVitalEntry(PatientIdentifier patientIdentifier, String vitalId);
	public VitalEntry saveVitalEntry(VitalEntry vitalEntry);
	public void deleteVitalEntry(VitalEntry vitalEntry);
}
