package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "admissions", namespace = Namespace.MobileHealthPlatform)
public class Admissions extends PatientDataCollection<Admission> {

	private static final long serialVersionUID = 8603919429235030250L;

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<Admission> getAdmission() {
		return this;
	}

	public void sortByDate() {
		this.sortDescending("admissionDate");
	}
}
