package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "encounterProviders", namespace = Namespace.MobileHealthPlatform)
public class EncounterProviders extends DomainTransferObjectCollection<EncounterProvider>{
	private static final long serialVersionUID = -4538108805526477329L;
	
	public EncounterProviders() {}
	
	public EncounterProviders(EncounterProvider... encounterProvider) {
		for(int i = 0; i < encounterProvider.length; i++) {
			this.add(encounterProvider[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<EncounterProvider> getEncounterProvider() {
		return this;
	}
	
	@Override
	public String toString() {
        Iterator<EncounterProvider> i = iterator();
        if (! i.hasNext())
        	return "";

		StringBuilder sb = new StringBuilder();
		for (;;) {
			EncounterProvider e = i.next();
		    sb.append(e.toString());
		    if (! i.hasNext())
		    	return sb.toString();
		    
		    sb.append(", ");
		}
	}
}
