package com.agilex.healthcare.mobilehealthplatform.domain;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "externalSystemError", namespace = Namespace.MobileHealthPlatform)
public class ExternalSystemError implements Serializable {
	private static final long serialVersionUID = 5395087040896509067L;

	@XmlAttribute
	private String message;
	
	@XmlAttribute
	private String uuid;
	
	@XmlAttribute
	private String detailedDescription;
	
	public String getMessage() {
		return message;
	}
	public void setMessage(String message) {
		this.message = message;
	}
	
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	public String getDetailedDescription() {
		return detailedDescription;
	}
	public void setDetailedDescription(String detailedDescription) {
		this.detailedDescription = detailedDescription;
	}
}