package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;

@XmlRootElement
public class HospitalLocationsCollection<T extends HospitalLocation> extends DomainTransferObjectCollection<T>  {
    private static final long serialVersionUID = 1L;

    public List<HospitalLocation> getHospitalLocationsDataList() {
        List<HospitalLocation> list = new ArrayList<HospitalLocation>();
        for (HospitalLocation data : this) {
            list.add(data);
        }
        return list;
    }

}
