package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "notes", namespace = Namespace.MobileHealthPlatform)
public class Notes extends DomainTransferObjectCollection<Note>{
	private static final long serialVersionUID = -5962715194189444329L;

	public Notes() {}
	
	public Notes(Note... notes) {
		for(int i = 0; i < notes.length; i++) {
			this.add(notes[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<Note> getNote() {
		return this;
	}
}
