package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "orderPickListItemEntriesCollection", namespace=Namespace.MobileHealthPlatform)
public class OrderPickListItemEntriesCollection<T extends OrderPickListItemEntry> extends DomainTransferObjectCollection<T>  {

    private static final long serialVersionUID = 1L;

    public List<OrderPickListItemEntry> getOrderPickListItemEntriesDataList() {
        List<OrderPickListItemEntry> list = new ArrayList<OrderPickListItemEntry>();
        for (OrderPickListItemEntry data : this) {
            list.add(data);
        }
        return list;
    }
}
