package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "orderProvider", namespace=Namespace.MobileHealthPlatform)
public class OrderProvider extends DomainTransferObject {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6666631545797079593L;

	@XmlAttribute
	private String domain;
	
	@XmlAttribute
	private String name;
	
	@XmlAttribute(name = "SSN")
	private String ssn;
	
	@XmlAttribute(name = "DUZ")
	private String duz;
	
	@XmlAttribute
	private String siteId;

	@XmlAttribute
	private String office;

	@XmlAttribute
	private String phone;

	@XmlAttribute
	private String pager;

	@XmlAttribute
	private String digitalPager;

	@XmlAttribute
	private String service;

	@XmlAttribute
	private String title;

	@XmlAttribute
	private String orderRole;

	@XmlAttribute
	private String userClass;

	@XmlAttribute
	private String greeting;

	@XmlAttribute
	private String siteMessage;
	
	@XmlAttribute
	private String ids;
    
	@XmlAttribute
	private String emailAddress;
    
	@XmlAttribute
	private String username;
    
	private PatientDemographics demographics;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getSsn() {
		return ssn;
	}

	public void setSsn(String ssn) {
		this.ssn = ssn;
	}

	public String getDuz() {
		return duz;
	}

	public void setDuz(String duz) {
		this.duz = duz;
	}

	public String getSiteId() {
		return siteId;
	}

	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	public String getOffice() {
		return office;
	}

	public void setOffice(String office) {
		this.office = office;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getPager() {
		return pager;
	}

	public void setPager(String pager) {
		this.pager = pager;
	}

	public String getDigitalPager() {
		return digitalPager;
	}

	public void setDigitalPager(String digitalPager) {
		this.digitalPager = digitalPager;
	}

	public String getService() {
		return service;
	}

	public void setService(String service) {
		this.service = service;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getOrderRole() {
		return orderRole;
	}

	public void setOrderRole(String orderRole) {
		this.orderRole = orderRole;
	}

	public String getUserClass() {
		return userClass;
	}

	public void setUserClass(String userClass) {
		this.userClass = userClass;
	}

	public String getGreeting() {
		return greeting;
	}

	public void setGreeting(String greeting) {
		this.greeting = greeting;
	}

	public String getSiteMessage() {
		return siteMessage;
	}

	public void setSiteMessage(String siteMessage) {
		this.siteMessage = siteMessage;
	}

	public String getEmailAddress() {
		return emailAddress;
	}

	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public PatientDemographics getDemographics() {
		return demographics;
	}

	public void setDemographics(PatientDemographics demographics) {
		this.demographics = demographics;
	}

	public String getIds() {
		return ids;
	}

	public void setIds(String ids) {
		this.ids = ids;
	}

}
