package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "orderService", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class OrderService extends DomainTransferObject {
	private static final long serialVersionUID = -7744002722621157264L;
	
	@XmlElement
    private String ien;
	@XmlElement
    private String name;
	@XmlElement
    private String parent;
	
	public String getIen() {
		return ien;
	}
	public void setIen(String ien) {
		this.ien = ien;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getParent() {
		return parent;
	}
	public void setParent(String parent) {
		this.parent = parent;
	}
	
	@Override
	public String toString() {
		return "OrderService [ien=" + ien + ", name=" + name + ", parent=" + parent + "]";
	}
}
