package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "orderServices", namespace=Namespace.MobileHealthPlatform)
public class OrderServices extends DomainTransferObjectCollection<OrderService> {

    private static final long serialVersionUID = 801257043836271502L;

	@XmlElement(namespace=Namespace.MobileHealthPlatform)
    public Collection<OrderService> getOrderServices() {
        return this;
    }
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("OrderService (" + this.size() + "):");
		
		Iterator<OrderService> i = this.iterator();
        while (i.hasNext()) {
        	OrderService mc = i.next();
        	String s = String.format("%n%s", mc.toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
