package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "orderStatusValue", namespace=Namespace.MobileHealthPlatform)
public class OrderStatusValue extends DomainTransferObject{

	private static final long serialVersionUID = -5974084536941295849L;
	
	@XmlAttribute
	private String ien;
	
	@XmlAttribute
	private String name;
	
	@XmlAttribute
	private String parent;
	
	@XmlAttribute
	private boolean hasChildren;

	public String getIen() {
		return ien;
	}

	public void setIen(String ien) {
		this.ien = ien;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getParent() {
		return parent;
	}

	public void setParent(String parent) {
		this.parent = parent;
	}

	public boolean isHasChildren() {
		return hasChildren;
	}

	public void setHasChildren(boolean hasChildren) {
		this.hasChildren = hasChildren;
	}
}
