package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "orders", namespace=Namespace.MobileHealthPlatform)
public class Orders extends PatientDataCollection<Order> {

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public long     recordCount;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public int      pageCount;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public int      currentPage;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public long      startRecord;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public long      stopRecord;


    public long getRecordCount() {
        return recordCount;
    }

    public void setRecordCount(long recordCount) {
        this.recordCount = recordCount;
    }

    public int getPageCount() {
        return pageCount;
    }

    public void setPageCount(int pageCount) {
        this.pageCount = pageCount;
    }

    public int getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(int currentPage) {
        this.currentPage = currentPage;
    }

    public long getStartRecord() {
        return startRecord;
    }

    public void setStartRecord(long startRecord) {
        this.startRecord = startRecord;
    }

    public long getStopRecord() {
        return stopRecord;
    }

    public void setStopRecord(long stopRecord) {
        this.stopRecord = stopRecord;
    }


	/**
	 *
	 */
	private static final long serialVersionUID = -7629995306983935760L;

	@XmlElement(namespace=Namespace.MobileHealthPlatform)
	public Collection<Order> getOrder() {
		return this;
	}

}
