package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "radiologyOrder", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class RadiologyOrder extends PatientData {

    private static final long serialVersionUID = 1499273193140585714L;

    @XmlElement
    private String desiredDateTime;
    @XmlElement
    private String patientLocation;
    @XmlElement
    private String procedure;
    @XmlElement
    private String orderIen;
    @XmlElement
    private String imTypeDisplayGrp;
    @XmlElement
    private String modifiers;
    @XmlElement
    private String urgency;
    @XmlElement
    private String transport;
    @XmlElement
    private String category;
    @XmlElement
    private String categorySupplement;
    @XmlElement
    private String preOpDate;
    @XmlElement
    private String pregnant;
    @XmlElement
    private String comment;
    @XmlElement
    private String isolation;
    @XmlElement
    private String orderLocation;
    @XmlElement
    private String approvingProvider;
    @XmlElement
    private String reason;

    public String getDesiredDateTime() {
        return desiredDateTime;
    }

    public void setDesiredDateTime(String desiredDateTime) {
        this.desiredDateTime = desiredDateTime;
    }

    public String getPatientLocation() {
        return patientLocation;
    }

    public void setPatientLocation(String patientLocation) {
        this.patientLocation = patientLocation;
    }

    public String getProcedure() {
        return procedure;
    }

    public void setProcedure(String procedure) {
        this.procedure = procedure;
    }

    public String getOrderIen() {
        return orderIen;
    }

    public void setOrderIen(String orderIen) {
        this.orderIen = orderIen;
    }

    public String getImTypeDisplayGrp() {
        return imTypeDisplayGrp;
    }

    public void setImTypeDisplayGrp(String imTypeDisplayGrp) {
        this.imTypeDisplayGrp = imTypeDisplayGrp;
    }

    public String getModifiers() {
        return modifiers;
    }

    public void setModifiers(String modifiers) {
        this.modifiers = modifiers;
    }

    public String getUrgency() {
        return urgency;
    }

    public void setUrgency(String urgency) {
        this.urgency = urgency;
    }

    public String getTransport() {
        return transport;
    }

    public void setTransport(String transport) {
        this.transport = transport;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getCategorySupplement() {
        return categorySupplement;
    }

    public void setCategorySupplement(String categorySupplement) {
        this.categorySupplement = categorySupplement;
    }

    public String getPreOpDate() {
        return preOpDate;
    }

    public void setPreOpDate(String preOpDate) {
        this.preOpDate = preOpDate;
    }

    public String getPregnant() {
        return pregnant;
    }

    public void setPregnant(String pregnant) {
        this.pregnant = pregnant;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getIsolation() {
        return isolation;
    }

    public void setIsolation(String isolation) {
        this.isolation = isolation;
    }

    public String getOrderLocation() {
        return orderLocation;
    }

    public void setOrderLocation(String orderLocation) {
        this.orderLocation = orderLocation;
    }

    public String getApprovingProvider() {
        return approvingProvider;
    }

    public void setApprovingProvider(String approvingProvider) {
        this.approvingProvider = approvingProvider;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
