package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "selectedPatient", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class SelectedPatient extends DomainTransferObject {
	private static final long serialVersionUID = -3954160693099530094L;

	@XmlElement
	private Patient patient;
	
	@XmlElement
	private Date searchedTime;

	public Patient getPatient() {
		return patient;
	}

	public void setPatient(Patient patient) {
		this.patient = patient;
	}

	public Date getSearchedTime() {
		return searchedTime;
	}

	public void setSearchedTime(Date searchedTime) {
		this.searchedTime = searchedTime;
	}

}