package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;


@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "textValueCollection", namespace=Namespace.MobileHealthPlatform)
public class TextValueCollection<T extends Text> extends DomainTransferObjectCollection<T>  {
    private static final long serialVersionUID = 1L;

    public List<Text> getTextValueDataList() {
        List<Text> list = new ArrayList<Text>();
        for (Text data : this) {
            list.add(data);
        }
        return list;
    }

}
