package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.agilex.healthcare.notewriter.domain.EncounterProcedureCPTCodes;

@XmlRootElement(name = "visitType")
@XmlAccessorType(value = XmlAccessType.NONE)
public class VisitType {

	@XmlElement
	private String name;
	
	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	@XmlElement
	private boolean selected;
	@XmlElement
	private EncounterProcedureCPTCodes sections;
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	public boolean isSelected() {
		return selected;
	}
	/**
	 * Selected is used by the UI to know whether to check or uncheck something when doing a resume.
	 */
	public void setSelected(boolean selected) {
		this.selected = selected;
	}
	public EncounterProcedureCPTCodes getSections() {
		return sections;
	}
	public void setSections(EncounterProcedureCPTCodes sections) {
		this.sections = sections;
	}
	
	@Override
	public String toString() {
		return "VisitType [name=" + name + ", selected=" + selected + ", sections=" + sections + "]";
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((sections == null) ? 0 : sections.hashCode());
		result = prime * result + (selected ? 1231 : 1237);
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		VisitType other = (VisitType) obj;
		if (name == null) {
			if (other.name != null)
				return false;
		}
		else if (!name.equals(other.name))
			return false;
		if (sections == null) {
			if (other.sections != null)
				return false;
		}
		else if (!sections.equals(other.sections))
			return false;
		if (selected != other.selected)
			return false;
		return true;
	}
}
