package com.agilex.healthcare.notewriter.datalayer;

import java.io.Serializable;

public class SearchFilter implements Serializable {
	private static final long serialVersionUID = -168962964465667892L;
	public static final int DEFAULT_MAX_RECORDS = 50;

	private String searchString;
	private int maxRecords = DEFAULT_MAX_RECORDS; //A cursor.limit() value of 0 (e.g. .limit(0)) is equivalent to setting no limit.

	public String getSearchString() {
		return searchString;
	}

	public void setSearchString(String searchString) {
		this.searchString = searchString;
	}


	public int getMaxRecords() {
		return maxRecords;
	}

	public void setMaxRecords(int maxRecords) {
		this.maxRecords = maxRecords;
	}
}
