package com.agilex.healthcare.notewriter.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.*;

import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObjectCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.Namespace;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "codes", namespace = Namespace.MobileHealthPlatform)
public class EncounterCodes extends DomainTransferObjectCollection<EncounterCode> {
	private static final long serialVersionUID = 4673437643160951895L;

	public EncounterCodes() {}

	public EncounterCodes(EncounterCode... codes) {
		for (int i = 0; i < codes.length; i++) {
			this.add(codes[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<EncounterCode> getEncounterCode() {
		return this;
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("EncounterCode (" + this.size() + "):");
		
		Iterator<EncounterCode> i = this.iterator();
        while (i.hasNext()) {
        	EncounterCode mc = i.next();
        	String s = String.format("%n%s", mc.toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
