package com.agilex.healthcare.notewriter.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObjectCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.Namespace;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "codes", namespace = Namespace.MobileHealthPlatform)
public class EncounterProcedureCPTCodes extends DomainTransferObjectCollection<EncounterProcedureCPTCode> {
	private static final long serialVersionUID = -3681270560485751097L;

	public EncounterProcedureCPTCodes() {}
	
	public EncounterProcedureCPTCodes(EncounterProcedureCPTCode... code) {
		for(int i = 0; i < code.length; i++) {
			this.add(code[i]);
		}
	}
	
	@XmlElement(namespace = Namespace.MobileHealthPlatform)
    public Collection<EncounterProcedureCPTCode> getEncounterProcedureCPTCode() {
		return this;
	}
	
	@Override
	public String toString() {
        Iterator<EncounterProcedureCPTCode> i = iterator();
        if (! i.hasNext())
        	return "";

		StringBuilder sb = new StringBuilder();
		for (;;) {
			EncounterProcedureCPTCode e = i.next();
		    sb.append(e.toString());
		    if (! i.hasNext())
		    	return sb.toString();
		    
		    sb.append(", ");
		}
	}
}
