package com.agilex.healthcare.patientsearch.datalayer;

import java.util.Date;

import com.agilex.healthcare.mobilehealthplatform.domain.Patient;
import com.agilex.healthcare.mobilehealthplatform.domain.RecentlySelectedPatients;
import com.agilex.healthcare.mobilehealthplatform.domain.SelectedPatient;

public interface PatientSearchDataLayer {
	RecentlySelectedPatients fetchRecentlySelectedPatients(String facilityCode, String staffId);
	SelectedPatient addSelectedPatient(Date searchedTime, String facilityCode, String staffId, Patient patient);
}
