package com.agilex.healthcare.utility;

public class ObjectInstatiator {
	@SuppressWarnings("unchecked")
	public static <T> T createObjectOfSameType(T o) {
		T instatiated = null;
		if (o != null) {
			try {
				instatiated = (T) Class.forName(o.getClass().getName()).newInstance();
			} catch (Exception e) {
				throw new RuntimeException("Unable to instatiate object of same type as ", e);
			}
		}
		return instatiated;
	}

}
