package com.agilex.healthcare.mobilehealthplatform.datalayer.cdw.admission;

import junit.framework.Assert;

import org.junit.*;

import com.agilex.healthcare.mobilehealthplatform.datalayer.admission.*;
import com.agilex.healthcare.mobilehealthplatform.domain.*;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.*;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsIntegrationTestHelper;

//Ignored this test as PVS is not using this method
@Ignore
public class DischargeNoteDataLayerCdwTest {

	static DischargeNoteDataLayerCdw dataLayer;
//	PatientIdentifier patientIdentifier = new PatientIdentifier("ICN", "1011736558v123456");
	PatientIdentifier patientIdentifier = new PatientIdentifier("ICN", "1006069417v123456");
	
	@BeforeClass
	public static void before() {
		dataLayer = new DischargeNoteDataLayerCdw(MdwsIntegrationTestHelper.getCdwMdwsConfiguration());
	}
	
	@Test
	public void verifyFetch() {
		DateFilter dateFilter = DateFilterFactory.createFilterFromDate("05/22/2002", "05/24/2007");
		
		ProviderNote dischargeNote = dataLayer.fetchDischargeNote(patientIdentifier, dateFilter);
		
		Assert.assertNotNull(dischargeNote);
		Assert.assertTrue(dischargeNote.getText(), dischargeNote.getText().length() > 100);
	}
}
