package com.agilex.healthcare.mobilehealthplatform.datalayer.cdw.appointment;

import junit.framework.Assert;

import org.junit.*;

import com.agilex.healthcare.mobilehealthplatform.datalayer.appointment.*;
import com.agilex.healthcare.mobilehealthplatform.domain.*;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsIntegrationTestHelper;

//Ignored as this method is not used in PVS and also not implemented in MDWS
@Ignore
public class ClinicalNoteDataLayerCdwTest {

	static ClinicalNoteDataLayerCdw dataLayer;
	
	@BeforeClass
	public static void before() {
		dataLayer = new ClinicalNoteDataLayerCdw(MdwsIntegrationTestHelper.getCdwMdwsConfiguration());
	}
	
	@Test
	public void verifyClinicNoteRetrieval() {
		String outpatientVisitId = "1400119907070";
		ProviderNote clinicalNote = dataLayer.fetchClinicalNote(new PatientIdentifier("ICN", "1015710384v123456"), outpatientVisitId);
		
		Assert.assertNotNull(clinicalNote);
		Assert.assertNotNull(clinicalNote.getText());
		Assert.assertTrue("Text size greater than 0", clinicalNote.getText().length() > 0);
	}
	
}
