package com.agilex.healthcare.mobilehealthplatform.datalayer.vista;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.admission.AdmissionDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.allergy.AllergyDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.appointment.AppointmentDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.appointment.ClinicNoteDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.consult.ConsultDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.facility.ClinicDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.facility.WardDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.lab.ChemistryLabDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.lab.DataLayerMdwsVistaTestData;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.lab.MicrobiologyLabDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.medication.MedicationDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.medication.rxrefill.MedicationRefillDataLayerMdwsTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.order.EmrOrderDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.order.OrderDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.pathology.PathologyDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.patient.PatientDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.patient.PatientDemographicsMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.patient.PatientSearchFieldMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.patient.PatientSearchMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.problem.ProblemDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.radiology.RadiologyDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.report.ReportDocumentDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.surgery.SurgeryDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.datalayer.vista.vital.VitalDataLayerMdwsVistaTest;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseExceptionTest;

@RunWith(Suite.class)
@Suite.SuiteClasses({
	AdmissionDataLayerMdwsVistaTest.class,
	AllergyDataLayerMdwsVistaTest.class,
	AppointmentDataLayerMdwsVistaTest.class,
	ClinicNoteDataLayerMdwsVistaTest.class,
	ChemistryLabDataLayerMdwsVistaTest.class,
	ClinicDataLayerMdwsVistaTest.class,
	ConsultDataLayerMdwsVistaTest.class,
	DataLayerMdwsVistaTestData.class,
	EmrOrderDataLayerMdwsVistaTest.class,
	MicrobiologyLabDataLayerMdwsVistaTest.class,
	MedicationDataLayerMdwsVistaTest.class,
	MedicationRefillDataLayerMdwsTest.class,
	OrderDataLayerMdwsVistaTest.class,
	PathologyDataLayerMdwsVistaTest.class,
	PatientDataLayerMdwsVistaTest.class,
	PatientDemographicsMdwsVistaTest.class,
	PatientSearchFieldMdwsVistaTest.class,
	PatientSearchMdwsVistaTest.class,
	ProblemDataLayerMdwsVistaTest.class,
	RadiologyDataLayerMdwsVistaTest.class,
	ReportDocumentDataLayerMdwsVistaTest.class,
	SurgeryDataLayerMdwsVistaTest.class,
	VitalDataLayerMdwsVistaTest.class,
	WardDataLayerMdwsVistaTest.class,
	MdwsResponseExceptionTest.class
})
public class VistaTestSuite {

}
