
package com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DosagePickListEntry complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DosagePickListEntry">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/OrderMgmtSvc}PickListEntry">
 *       &lt;sequence>
 *         &lt;element name="drugName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dosageStrength" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="nationalDrugId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="prescriptionText" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="unitDoseCostStrength" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="costPerUnit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="refill" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="doseForm" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DosagePickListEntry", propOrder = {
    "drugName",
    "dosageStrength",
    "nationalDrugId",
    "prescriptionText",
    "unitDoseCostStrength",
    "costPerUnit",
    "refill",
    "doseForm"
})
public class DosagePickListEntry
    extends PickListEntry
{

    protected String drugName;
    protected String dosageStrength;
    protected String nationalDrugId;
    protected String prescriptionText;
    protected String unitDoseCostStrength;
    protected String costPerUnit;
    protected String refill;
    protected String doseForm;

    /**
     * Gets the value of the drugName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDrugName() {
        return drugName;
    }

    /**
     * Sets the value of the drugName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDrugName(String value) {
        this.drugName = value;
    }

    /**
     * Gets the value of the dosageStrength property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDosageStrength() {
        return dosageStrength;
    }

    /**
     * Sets the value of the dosageStrength property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDosageStrength(String value) {
        this.dosageStrength = value;
    }

    /**
     * Gets the value of the nationalDrugId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNationalDrugId() {
        return nationalDrugId;
    }

    /**
     * Sets the value of the nationalDrugId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNationalDrugId(String value) {
        this.nationalDrugId = value;
    }

    /**
     * Gets the value of the prescriptionText property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrescriptionText() {
        return prescriptionText;
    }

    /**
     * Sets the value of the prescriptionText property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrescriptionText(String value) {
        this.prescriptionText = value;
    }

    /**
     * Gets the value of the unitDoseCostStrength property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUnitDoseCostStrength() {
        return unitDoseCostStrength;
    }

    /**
     * Sets the value of the unitDoseCostStrength property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUnitDoseCostStrength(String value) {
        this.unitDoseCostStrength = value;
    }

    /**
     * Gets the value of the costPerUnit property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCostPerUnit() {
        return costPerUnit;
    }

    /**
     * Sets the value of the costPerUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCostPerUnit(String value) {
        this.costPerUnit = value;
    }

    /**
     * Gets the value of the refill property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRefill() {
        return refill;
    }

    /**
     * Sets the value of the refill property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRefill(String value) {
        this.refill = value;
    }

    /**
     * Gets the value of the doseForm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDoseForm() {
        return doseForm;
    }

    /**
     * Sets the value of the doseForm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDoseForm(String value) {
        this.doseForm = value;
    }

}
