
package com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.schedulingservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ConsultTO complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConsultTO">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/SchedulingSvc}OrderTO">
 *       &lt;sequence>
 *         &lt;element name="toService" type="{http://mdws.domain/SchedulingSvc}TaggedText" minOccurs="0"/>
 *         &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="consultIen" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="requestDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="serviceIen" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="serviceName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="patientDfn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="patientName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="sendingProviderDuz" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="sendingProviderName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="provisionalDiagnosis" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConsultTO", propOrder = {
    "toService",
    "title",
    "consultIen",
    "requestDate",
    "serviceIen",
    "serviceName",
    "patientDfn",
    "patientName",
    "sendingProviderDuz",
    "sendingProviderName",
    "provisionalDiagnosis"
})
public class ConsultTO
    extends OrderTO
{

    protected TaggedText toService;
    protected String title;
    protected String consultIen;
    protected String requestDate;
    protected String serviceIen;
    protected String serviceName;
    protected String patientDfn;
    protected String patientName;
    protected String sendingProviderDuz;
    protected String sendingProviderName;
    protected String provisionalDiagnosis;

    /**
     * Gets the value of the toService property.
     * 
     * @return
     *     possible object is
     *     {@link TaggedText }
     *     
     */
    public TaggedText getToService() {
        return toService;
    }

    /**
     * Sets the value of the toService property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaggedText }
     *     
     */
    public void setToService(TaggedText value) {
        this.toService = value;
    }

    /**
     * Gets the value of the title property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTitle() {
        return title;
    }

    /**
     * Sets the value of the title property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTitle(String value) {
        this.title = value;
    }

    /**
     * Gets the value of the consultIen property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsultIen() {
        return consultIen;
    }

    /**
     * Sets the value of the consultIen property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsultIen(String value) {
        this.consultIen = value;
    }

    /**
     * Gets the value of the requestDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequestDate() {
        return requestDate;
    }

    /**
     * Sets the value of the requestDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequestDate(String value) {
        this.requestDate = value;
    }

    /**
     * Gets the value of the serviceIen property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceIen() {
        return serviceIen;
    }

    /**
     * Sets the value of the serviceIen property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceIen(String value) {
        this.serviceIen = value;
    }

    /**
     * Gets the value of the serviceName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceName() {
        return serviceName;
    }

    /**
     * Sets the value of the serviceName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceName(String value) {
        this.serviceName = value;
    }

    /**
     * Gets the value of the patientDfn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPatientDfn() {
        return patientDfn;
    }

    /**
     * Sets the value of the patientDfn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPatientDfn(String value) {
        this.patientDfn = value;
    }

    /**
     * Gets the value of the patientName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPatientName() {
        return patientName;
    }

    /**
     * Sets the value of the patientName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPatientName(String value) {
        this.patientName = value;
    }

    /**
     * Gets the value of the sendingProviderDuz property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSendingProviderDuz() {
        return sendingProviderDuz;
    }

    /**
     * Sets the value of the sendingProviderDuz property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSendingProviderDuz(String value) {
        this.sendingProviderDuz = value;
    }

    /**
     * Gets the value of the sendingProviderName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSendingProviderName() {
        return sendingProviderName;
    }

    /**
     * Sets the value of the sendingProviderName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSendingProviderName(String value) {
        this.sendingProviderName = value;
    }

    /**
     * Gets the value of the provisionalDiagnosis property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProvisionalDiagnosis() {
        return provisionalDiagnosis;
    }

    /**
     * Sets the value of the provisionalDiagnosis property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProvisionalDiagnosis(String value) {
        this.provisionalDiagnosis = value;
    }

}
