
package com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.schedulingservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="clinicId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="appointmentTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="purpose" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="purposeSubcategory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="appointmentLength" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="appointmentType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="bookNotes" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Lab" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="XRay" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="EKG" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Lvl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="desiredDateTime" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "clinicId",
    "appointmentTimestamp",
    "purpose",
    "purposeSubcategory",
    "appointmentLength",
    "appointmentType",
    "bookNotes",
    "lab",
    "xRay",
    "ekg",
    "lvl",
    "desiredDateTime"
})
@XmlRootElement(name = "makeAppointment")
public class MakeAppointment {

    protected String clinicId;
    protected String appointmentTimestamp;
    protected String purpose;
    protected String purposeSubcategory;
    protected String appointmentLength;
    protected String appointmentType;
    protected String bookNotes;
    @XmlElement(name = "Lab")
    protected String lab;
    @XmlElement(name = "XRay")
    protected String xRay;
    @XmlElement(name = "EKG")
    protected String ekg;
    @XmlElement(name = "Lvl")
    protected String lvl;
    protected String desiredDateTime;

    /**
     * Gets the value of the clinicId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getClinicId() {
        return clinicId;
    }

    /**
     * Sets the value of the clinicId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setClinicId(String value) {
        this.clinicId = value;
    }

    /**
     * Gets the value of the appointmentTimestamp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAppointmentTimestamp() {
        return appointmentTimestamp;
    }

    /**
     * Sets the value of the appointmentTimestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAppointmentTimestamp(String value) {
        this.appointmentTimestamp = value;
    }

    /**
     * Gets the value of the purpose property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPurpose() {
        return purpose;
    }

    /**
     * Sets the value of the purpose property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPurpose(String value) {
        this.purpose = value;
    }

    /**
     * Gets the value of the purposeSubcategory property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPurposeSubcategory() {
        return purposeSubcategory;
    }

    /**
     * Sets the value of the purposeSubcategory property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPurposeSubcategory(String value) {
        this.purposeSubcategory = value;
    }

    /**
     * Gets the value of the appointmentLength property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAppointmentLength() {
        return appointmentLength;
    }

    /**
     * Sets the value of the appointmentLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAppointmentLength(String value) {
        this.appointmentLength = value;
    }

    /**
     * Gets the value of the appointmentType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAppointmentType() {
        return appointmentType;
    }

    /**
     * Sets the value of the appointmentType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAppointmentType(String value) {
        this.appointmentType = value;
    }

    /**
     * Gets the value of the bookNotes property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBookNotes() {
        return bookNotes;
    }

    /**
     * Sets the value of the bookNotes property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBookNotes(String value) {
        this.bookNotes = value;
    }

    /**
     * Gets the value of the lab property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLab() {
        return lab;
    }

    /**
     * Sets the value of the lab property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLab(String value) {
        this.lab = value;
    }

    /**
     * Gets the value of the xRay property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getXRay() {
        return xRay;
    }

    /**
     * Sets the value of the xRay property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setXRay(String value) {
        this.xRay = value;
    }

    /**
     * Gets the value of the ekg property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEKG() {
        return ekg;
    }

    /**
     * Sets the value of the ekg property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEKG(String value) {
        this.ekg = value;
    }

    /**
     * Gets the value of the lvl property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLvl() {
        return lvl;
    }

    /**
     * Sets the value of the lvl property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLvl(String value) {
        this.lvl = value;
    }

    /**
     * Gets the value of the desiredDateTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDesiredDateTime() {
        return desiredDateTime;
    }

    /**
     * Sets the value of the desiredDateTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDesiredDateTime(String value) {
        this.desiredDateTime = value;
    }

}
