package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import java.util.Iterator;

import com.agilex.healthcare.mobilehealthplatform.domain.Text;
import com.agilex.healthcare.mobilehealthplatform.domain.Texts;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TextArray;

public class OrderTextArrayTranslator {

    public Texts translateFromTextTo(TextArray arr){
    	Texts retValue = new Texts();
    	if (arr == null)
    		throw new MdwsResponseException(MdwsResponseException.UserMessages.INVALID_DATA_RETURNED, "TextArray was null");
    	if (arr.getFault() != null)
    		throw new MdwsResponseException(arr.getFault());
    	if (arr.getText() == null || arr.getText().getString() == null)
    		return retValue;

    	Iterator<String> itString = arr.getText().getString().iterator();
    	while (itString.hasNext()) {
    		String textValue = itString.next();

    		Text text = new Text();
            text.setTextValue(textValue);
    		retValue.add(text);
    	}

    	return retValue;
    }
}
