Feature: Login
	In order to use PatientViewerServices,
	As an authorized user,
	I want to authenticate before accessing HA resources in provider mode
		
	Scenario: Invalid username
		Given I am on the Provider Login page
		When user is invalid on the Provider Login page
		Then I get invalid credentials message on the Provider Login page
		Then close all browser windows on the Provider Login page
		
	Scenario: Invalid password
		Given I am on the Provider Login page
		When password is invalid on the Provider Login page
		Then I get invalid credentials message on the Provider Login page
		Then close all browser windows on the Provider Login page
		
	Scenario: Invalid location
		Given I am on the Provider Login page
		When location is not selected on the Provider Login page
		Then I get a missing parameter message on the Provider Login page
		Then close all browser windows on the Provider Login page
		
	Scenario: Valid credentials
		Given I am on the Provider Login page
		When credentials are valid on the Provider Login page
		Then I can login on the Provider Login page
		Then close all browser windows on the Provider Login page
		
