package com.agilex.healthcare.facilitydefinition.datalayer.ward;

import com.agilex.healthcare.mobilehealthplatform.domain.Wards;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class WardDataService {

	public Wards fetchWards() {
		WardDataLayer dataLayer = MhpObjectFactory.getInstance().getMdwsWardDataLayer();
		Wards wards = dataLayer.fetchWards("", "");
		return wards;
	}
	
	public Wards fetchWards(String facilityCode, WardFilter filter) {
		String searchString = "";
		if (filter != null)
			searchString = filter.getSearchString();
		
		WardDataLayer dataLayer = MhpObjectFactory.getInstance().getWardDataLayer();
		Wards wards = dataLayer.fetchWards(facilityCode, searchString);
		return wards;
	}

}
