package com.agilex.healthcare.facilitydefinition.translator;

import com.agilex.healthcare.mobilehealthplatform.domain.Clinic;
import com.agilex.healthcare.mobilehealthplatform.utils.StringUtil;
import com.mongodb.DBObject;

public class ClinicTranslator {
	private final String FACILITY_CODE_KEY = "facility";
	private final String ID_KEY = "ien";
	private final String NAME_KEY = "name";
	
	public Clinic translate(DBObject po) {
		Clinic clinic = new Clinic();
		
		clinic.setFacilityCode(StringUtil.objectToString(po.get(FACILITY_CODE_KEY)));
		clinic.setId(StringUtil.objectToString(po.get(ID_KEY)));
		clinic.setName(StringUtil.objectToString(po.get(NAME_KEY)));
		
		return clinic;
	}
}
