package com.agilex.healthcare.facilitydefinition.translator;

import com.agilex.healthcare.mobilehealthplatform.domain.Ward;
import com.agilex.healthcare.mobilehealthplatform.utils.StringUtil;
import com.mongodb.DBObject;

public class WardTranslator {
	private final String FACILITY_CODE_KEY = "facility";
	private final String ID_KEY = "ien";
	private final String NAME_KEY = "name";
	
	
	public Ward translate(DBObject po) {
		Ward ward = new Ward();
		
		ward.setFacilityCode(StringUtil.objectToString(po.get(FACILITY_CODE_KEY)));
		ward.setId(StringUtil.objectToString(po.get(ID_KEY)));
		ward.setName(StringUtil.objectToString(po.get(NAME_KEY)));
		
		return ward;
	}
}
