package com.agilex.healthcare.mobilehealthplatform.aopaspect;

import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;

import com.agilex.vamf.metrics.aopaspect.AbstractMetricsAspect;

@Aspect
public class TimingAspect  extends AbstractMetricsAspect {

    public TimingAspect() {
    }

    @Override
    @Pointcut("execution(* com.agilex.healthcare.mobilehealthplatform.restservice.*.*(..)) " +
    			"|| execution(* com.agilex.healthcare.mobilehealthplatform.web.*.*(..))" +
    			"|| execution(* com.agilex.healthcare.notewriter.restservice.*.*(..))")
    public void restServicePointcut() {
    }
        
}
