package com.agilex.healthcare.mobilehealthplatform.datalayer.consult;

import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.RequestMessage;
import com.agilex.healthcare.mobilehealthplatform.datalayer.dataretriever.router.patientdata.PatientDataFetchRequestReader;

public class ConsultFetchRequestReader extends PatientDataFetchRequestReader {

	protected ConsultFetchRequestReader(RequestMessage request) {
		super(request);
	}

	public static ConsultFetchRequestReader fromRequest(RequestMessage request) {
		return new ConsultFetchRequestReader(request);
	}

	public ConsultFilter getConsultFilter() {
		return request.getValue("consult-filter");
	}
}
