package com.agilex.healthcare.mobilehealthplatform.restservice.exception;

import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.Status;
import javax.ws.rs.ext.ExceptionMapper;
import javax.ws.rs.ext.Provider;

@Provider
public class PatientSearchResultsExceptionMapper implements ExceptionMapper<PatientSearchResultsException> {

	@Override
	public Response toResponse(PatientSearchResultsException e) {
		return Response.status(Status.BAD_REQUEST).entity("{\"message\":\"" + e.getMessage() + "\"}").type(MediaType.APPLICATION_JSON).build();
	}
}