package com.agilex.healthcare.mobilehealthplatform.serviceregistry;

public class Domain {
	public static final String allergy = "allergy";
	public static final String admission = "admission";
	public static final String antibiogram = "antibiogram";
	public static final String appointment = "appointment";
	public static final String mentalHealthAppointment = "mental-health-appointment";
	public static final String appointmentRequest = "appointment-request";
	public static final String calendarEvent = "calendar-event";
	public static final String clinic = "clinic";
	public static final String clinicNote = "clinic-note";
	public static final String chemLabResult = "lab-chemistry-result";
	public static final String contactlog = "contactlog";
	public static final String contactInfo = "contact-info";
	public static final String demographic = "demographic";
	public static final String dischargeNote = "discharge-note";
	public static final String document = "document";
	public static final String labResult = "lab-result";
	public static final String microLabResult = "lab-microbiology-result";
	public static final String medication = "medication";
	public static final String medicationRefill = "medication-refill";
	public static final String medicationHistory = "medication-history";
	public static final String nextOfKin = "next-of-kin";
	public static final String problem = "problem";
	public static final String radiologyResult = "radiology-result";
	public static final String secureMessage = "securemessage";
	public static final String supplementalDemographics = "supplemental-demographics";
	public static final String surgery = "surgery";
	public static final String consult = "consult";
	public static final String vital = "vitals";
	public static final String ward = "ward";
	public static final String assessmentResult = "assessmentresult";
	public static final String pclAssessmentResult = "pcl-assessmentresult";
	public static final String PrimaryCareProvider = "primarycare-provider";
	public static final String MentalHealthProvider = "mentalhealth-provider";
	public static final String patientMetadata = "patient-metadata";
	public static final String facility = "facility";
	public static final String toolTrackingResult ="tool-tracking-result";
	public static final String patientPreference = "preference";
    public static final String waitList = "waitList";
    public static final String immunizationCampaign = "immunization-campaign";
    public static final String availableAppointmentSlots = "available-appointment-slots";
    public static final String bookedAppointmentsForPatient = "booked-appointments-for-patient";
    public static final String patientDischargeSummaries = "patient-discharge-summaries";
    public static final String patientProgressNotes = "patient-progress-notes";
    public static final String patientSurgeryReports = "patient-surgery-reports";
    public static final String patientPathologyReports = "patient-pathology-reports";
    public static final String bookPatientAppointment = "book-new-appointment";
    public static final String appointmentTypes = "appointment-types";
    public static final String patientSaveEncounter = "patient-save-encounter";
    public static final String patientOrders = "patient-orders";
    public static final String patientOrdersEmr = "patient-orders-emr";
    public static final String patientlabOrderDetails = "patient-lab-order-details";
    public static final String cancelPatientAppointment = "cancel-appointment";
    public static final String removeRecallEntry = "remove-recall-entry";
    public static final String updateEWLEntry = "update-ewl-entry";
    public static final String patientOrderGroups = "patient-order-by-group";
    public static final String patientAllReportDocuments = "patient-all-report-document";
}