package com.agilex.healthcare.mobilehealthplatform.utils.uriformaters.linkbuilder;

import com.agilex.healthcare.mobilehealthplatform.domain.*;
import com.agilex.healthcare.vamf.tasks.domain.rel;

import javax.ws.rs.core.UriBuilder;
import java.net.URI;

/**
 * Created with IntelliJ IDEA.
 * User: patelh
 * Date: 10/3/13
 * Time: 9:24 AM
 * To change this template use File | Settings | File Templates.
 */
public class SchedulingLinkBuilder {

    public static UriBuilder getSchedulingManagerServiceBaseUri(URI systemBaseUri) {
        return UriBuilder.fromUri(stripWebContextFromBaseURI(systemBaseUri)).path("SchedulingManagerService").path("rest");
    }

    private static URI stripWebContextFromBaseURI(URI baseURI) {

        String stringURI = baseURI.toString();
        stringURI = stringURI.replaceAll("/PatientViewerServices/rest", "");
        stringURI = stringURI.replaceAll("/SchedulingManagerService/rest", "");

        URI uri = URI.create(stringURI);

        return uri;
    }
}
