package com.agilex.healthcare.notewriter.datalayer.procedure;

import com.agilex.healthcare.mobilehealthplatform.utils.StringUtil;
import com.agilex.healthcare.notewriter.domain.EncounterCode;
import com.mongodb.DBObject;

public class ProceduresTranslator {
	public static final String CODE_KEY = "Code";
	public static final String DESCRIPTION_KEY = "Description";
	public static final String IEN_KEY = "IEN";
	public static final String NAME_KEY = "Name";
	
	public EncounterCode translate(String codeType, DBObject po) {
		EncounterCode code = new EncounterCode();
		code.setIen(StringUtil.objectToString(po.get(IEN_KEY)));
		code.setDescription(StringUtil.objectToString(po.get(DESCRIPTION_KEY)));
		code.setShortDescription(StringUtil.objectToString(po.get(NAME_KEY)));
		code.setCode(StringUtil.objectToString(po.get(CODE_KEY)));
		code.setCodeType(codeType);
		return code;
	}
}
