package com.agilex.healthcare.notewriter.datalayer.visittype;

import com.agilex.healthcare.mdws.datalayer.EncounterDataLayer;
import com.agilex.healthcare.mobilehealthplatform.domain.VisitTypes;
import com.agilex.healthcare.mobilehealthplatform.serviceregistry.MhpObjectFactory;

public class VisitTypesDataService {
	public VisitTypesDataService() {}
	
	public VisitTypes getVisitTypes(String facilityCode, String locationIen, String date) {
		EncounterDataLayer dataLayer = MhpObjectFactory.getInstance().getMdwsEncounterDataLayer();
		com.agilex.healthcare.mdws.domain.VisitTypes vt = dataLayer.getVisitTypeByClinic(facilityCode, locationIen, date);
		
		VisitTypes retValue = VisitTypesTranslator.translate(facilityCode, dataLayer, vt);
		return retValue;
	}
}
