package com.agilex.healthcare.mdws.connection;

public class ConnectionManagerFactory {
	private static ConnectionManager connectionManager;

	private ConnectionManagerFactory() {}

	public static ConnectionManager getInstance() {
		if (connectionManager != null)
			return connectionManager;

		connectionManager = new BasicConnectionManager();
		
		return connectionManager;
	}
}
