package com.agilex.healthcare.mdws.datalayer.mock;

import com.agilex.healthcare.mdws.connection.MdwsConfiguration;
import com.agilex.healthcare.mdws.connection.TIUNotesConnectionDataLayer;
import com.agilex.healthcare.mdws.datalayer.TIUNotesDataLayer;
import com.agilex.healthcare.mdws.domain.EncounterImmunization;
import com.agilex.healthcare.mdws.domain.EncounterNote;

//This Mock is created only for Immunization App without vista dependency demo
public class TIUNotesDataLayerMock extends TIUNotesConnectionDataLayer implements TIUNotesDataLayer {
	
//----------------------------------------------------------------------------------------------------------------------
			
	public TIUNotesDataLayerMock(MdwsConfiguration mdwsConfiguration) {
		super(mdwsConfiguration);
	}
	
//----------------------------------------------------------------------------------------------------------------------
		
	@Override
	public EncounterNote signEncounterNote(EncounterNote note, String esig) {
		return note;
	}
	
	@Override
	public EncounterImmunization signImmunization(EncounterImmunization immunization, String esig) {
		return immunization;
	}

}
