package com.agilex.healthcare.mdws.domain;

import java.util.ArrayList;
import java.util.Iterator;

public class Codes extends ArrayList<Code> {

	private static final long serialVersionUID = -4469512829307252638L;

	public Codes() {}
	
	public Codes(Code... codes) {
		for(int i = 0; i < codes.length; i++) {
			this.add(codes[i]);
		}
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("Codes (" + this.size() + "):");
		
		Iterator<Code> i = this.iterator();
        while (i.hasNext()) {
        	Code mc = i.next();
        	String s = String.format("%n%s", mc.toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
