package com.agilex.healthcare.mobilehealthplatform.datalayer.event;

import com.agilex.healthcare.mobilehealthplatform.domain.Event;
import com.agilex.healthcare.mobilehealthplatform.domain.Events;
import com.agilex.healthcare.mobilehealthplatform.domain.filter.EventFilter;

public interface EventDataLayer {

	public Events getEvents(String patientId, EventFilter filter);
	public Event getEvent(String patientId, String eventId);

	public Event updateEvent(Event event);
	public Event saveEvent(Event event);
	public void deleteEvent(Event event);
}
