package com.agilex.healthcare.mobilehealthplatform.datalayer.ventilatorsetting;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientIdentifier;
import com.agilex.healthcare.mobilehealthplatform.domain.VentilatorSetting;
import com.agilex.healthcare.mobilehealthplatform.domain.VentilatorSettings;

public interface VentilatorSettingDataLayer {

    public VentilatorSettings fetchVentilatorSettings(PatientIdentifier patientIdentifier, VentilatorSettingFilter filter);

    public VentilatorSetting fetchVentilatorSetting(PatientIdentifier patientIdentifier, String ventilatorSettingId);

}
