package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.*;

@XmlRootElement(name = "author", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class Author {

    @XmlElement
    private String id;
    @XmlElement
    private String name;
    @XmlElement
    private String signature;

    public Author() {
    }

    public Author(String id, String name, String signature) {
        this.id = id;
        this.name = name;
        this.signature = signature;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }
}
