package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "clinicalNoteSignature", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class ClinicalNoteSignature extends DomainTransferObject {
	
	private static final long serialVersionUID = 1017107961644328289L;
	
	@XmlElement
	private String electronicSignature;
	
	@XmlElement
	private ClinicalEvent clinicalEvent;

	public String getElectronicSignature() {
		return electronicSignature;
	}

	public void setElectronicSignature(String electronicSignature) {
		this.electronicSignature = electronicSignature;
	}

	public ClinicalEvent getClinicalEvent() {
		return clinicalEvent;
	}

	public void setClinicalEvent(ClinicalEvent clinicalEvent) {
		this.clinicalEvent = clinicalEvent;
	}

}