package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.*;

	@XmlAccessorType(value = XmlAccessType.NONE)
	@XmlRootElement(name = "facilityProvider", namespace = Namespace.MobileHealthPlatform)
	public class FacilityProvider {

		@XmlElement
		private String providerIen;

		@XmlElement
		private String facilityCode;
		
		@XmlElement
		private String providerName;
		
		
		@Override
		public String toString() {
			return "FacilityProvider [providerIen=" + providerIen + ", facilityCode=" + facilityCode + ", providerName=" + providerName
					+ "]";
		}
		
		@Override
		public int hashCode() {
			final int prime = 31;
			int result = 1;
			result = prime * result + ((facilityCode == null) ? 0 : facilityCode.hashCode());
			result = prime * result + ((providerIen == null) ? 0 : providerIen.hashCode());
			result = prime * result + ((providerName == null) ? 0 : providerName.hashCode());
			return result;
		}
		@Override
		public boolean equals(Object obj) {
			if (this == obj)
				return true;
			if (obj == null)
				return false;
			if (getClass() != obj.getClass())
				return false;
			FacilityProvider other = (FacilityProvider) obj;
			if (facilityCode == null) {
				if (other.facilityCode != null)
					return false;
			}
			else if (!facilityCode.equals(other.facilityCode))
				return false;
			if (providerIen == null) {
				if (other.providerIen != null)
					return false;
			}
			else if (!providerIen.equals(other.providerIen))
				return false;
			if (providerName == null) {
				if (other.providerName != null)
					return false;
			}
			else if (!providerName.equals(other.providerName))
				return false;
			return true;
		}
		public String getProviderIen() {
			return providerIen;
		}
		public void setProviderIen(String providerIen) {
			this.providerIen = providerIen;
		}
		public String getFacilityCode() {
			return facilityCode;
		}
		public void setFacilityCode(String facilityCode) {
			this.facilityCode = facilityCode;
		}
		public String getProviderName() {
			return providerName;
		}
		public void setProviderName(String providerName) {
			this.providerName = providerName;
		}
	}
