package com.agilex.healthcare.mobilehealthplatform.domain;

/**
 *
 * @author j.ray
 */
public class LinkTitles {
	public static final String SystemRoot = "system-root";

	public static final String Patient = "patient";
	public static final String Patients = "patients";
	public static final String PatientsOperationalScope = "patients-operational";

	public static final String PatientIdentifiers = "patient-identifiers";
	public static final String PatientDemographics = "patient-demographics";
	public static final String PatientPreference = "patient-preference";
	public static final String DocumentContent = "document-content";
	public static final String PatientImage = "patient-image";
	public static final String PatientAllergies = "patient-allergies";

	public static final String PatientConsult = "patient-consult";
	public static final String PatientConsults = "patient-consults";
	public static final String PatientConsultDetail = "patient-consult-detail";
	public static final String PatientConsultsLongitudinalScope = "patient-consults-longitudinal";
	public static final String PatientConsultsOperationalScope = "patient-consults-operational";
    public static final String ProviderConsult = "provider-consult";
    public static final String PatientPdfPrint = "patient-pdf-print";

	public static final String PatientMedications = "patient-medications";
	public static final String PatientActiveMedications = "patient-medications-active";
	public static final String PatientOutpatientMedications = "patient-medications-outpatient";
	public static final String PatientInpatientMedications = "patient-medications-inpatient";
	public static final String PatientActiveOutpatientMedications = "patient-medications-outpatient-active";
	public static final String PatientActiveInpatientMedications = "patient-medications-inpatient-active";
	public static final String PatientMedicationDetail = "patient-medication-detail";
	public static final String PatientMedicationRefills = "patient-medication-refills";
	public static final String PatientMedicationsLongitudinalScope = "patient-medications-longitudinal";
	public static final String PatientMedicationsOperationalScope = "patient-medications-operational";
	public static final String PatientMedicationsActiveLongitudinalScope = "patient-medications-longitudinal-active";
	public static final String PatientMedicationsActiveOperationalScope = "patient-medications-operational-active";
	public static final String PatientMedicationsOutpatientLongitudinalScope = "patient-medications-outpatient-longitudinal";
	public static final String PatientMedicationsOutpatientOperationalScope = "patient-medications-outpatient-operational";
	public static final String PatientMedicationsInpatientLongitudinalScope = "patient-medications-inpatient-longitudinal";
	public static final String PatientMedicationsInpatientOperationalScope = "patient-medications-inpatient-operational";
	public static final String PatientMedicationsActiveOutpatientLongitudinalScope = "patient-medications-outpatient-longitudinal-active";
	public static final String PatientMedicationsActiveOutpatientOperationalScope = "patient-medications-outpatient-operational-active";
	public static final String PatientMedicationsActiveInpatientLongitudinalScope = "patient-medications-inpatient-longitudinal-active";
	public static final String PatientMedicationsActiveInpatientOperationalScope = "patient-medications-inpatient-operational-active";

	public static final String PatientMicrobiologyLabResults = "patient-lab-micro-results";
	public static final String PatientMicrobiologyLabTestHistory = "patient-lab-micro-tests";
	public static final String PatientMicrobiologyLabResultsForTest = "patient-lab-micro-results-fortest";
	public static final String PatientMicrobiologyLabTestHistoryByGroup = "patient-lab-micro-tests-by-group";

	public static final String PatientChemHemLabResultsForTest = "lab-results";
	public static final String PatientChemHemLabTests = "patient-lab-tests";

	public static final String PatientProblems = "patient-problems";
	public static final String PatientProblemsLongitudinal = "patient-problems-longitudinal";
	public static final String PatientProblemsOperational = "patient-problems-operational";
	public static final String PatientOutpatientProblems = "patient-problems-outpatient";
	public static final String PatientInpatientProblems = "patient-problems-inpatient";

	public static final String PatientSurgeries = "patient-surgeries";
    public static final String patientSurgeryReports = "patient-surgery-reports";
    public static final String patientDischargeSummaries = "patient-discharge-summaries";
    public static final String patientProgressNotes = "patient-progress-notes";

	public static final String PatientPastAppointments = "patient-appointments-past";
	public static final String PatientAppointments = "patient-appointments";
	public static final String PatientMentalHealthAppointments = "patient-appointments-mental-health";
	public static final String PatientAppointmentsLongitudinal = "patient-appointments-longitudinal";
	public static final String PatientAppointmentsOperational = "patient-appointments-operational";
	public static final String PatientFutureAppointments = "patient-appointments-future";
    public static final String PatientWaitList="patient-waitlist";
    public static final String WaitListDetail="waitlist-detail";
    public static final String SchedulingResourceDirectory="scheduling-resource-directory";
    public static final String FacilityElectronicWaitList="facility-ewl-waitlist";
    public static final String PatientNearWaitList ="patient-near-waitlist";
    public static final String FacilityNearWaitList ="facility-near-waitlist";
	public static final String PatientCalendarPublicKey = "patient-calendar-publickey";
	public static final String PatientCalendarEvents = "patient-calendar-events";
	public static final String PatientAdmissions = "patient-admisions";

    public static final String SchedulingAvailableSlots = "scheduling-available-slots";

	public static final String PatientVitals = "patient-vitals";
	public static final String PatientVitalsLongitudinal = "patient-vitals-longitudinal";
	public static final String PatientVitalsOperational = "patient-vitals-operational";
	public static final String PatientVitalsGraphLongitudinal = "patient-vitals-graphdata-longitudinal";
	public static final String PatientVitalsGraphOperational = "patient-vitals-graphdata-operational";
	public static final String PatientVitalsTableLongitudinal = "patient-vitals-tabledata-longitudinal";
	public static final String PatientVitalsTableOperational = "patient-vitals-tabledata-operational";


	public static final String PatientRadiologyTests = "patient-radiology-tests";
	public static final String PatientRadiologyResults = "patient-radiology-results";
    public static final String PatientBookedAppointments = "patient-booked-appointments";

	public static final String RelatedDocuments = "related-documents";
	public static final String RelatedMedicationRefills = "related-medication-refills";

	public static final String PatientNotifications = "patient-notifications";
	public static final String UserNotifications = "notifications";
	public static final String UserNotificationAuditLogs = "notifications-auditLogs";
	public static final String PatientDevices = "patient-devices";

	public static final String RightOfAccess = "right-of-access";
	public static final String RightOfAccessPDF = "right-of-access-pdf";
	public static final String RightOfAccessImage = "right-of-access-image";

	public static final String SecureMessageUser = "securemessage-user";

	public static final String AppointmentsMetadata = "appointments-metadata";
	public static final String Appointments = "appointments";
	public static final String AppointmentsVar = "appointmentsVar";

	public static final String MHPUser = "mhpuser";

	public static final String PrimaryCareProviders = "providers-primarycare";

	public static final String MentalHealthProviders = "providers-mentalhealth";

	public static final String MostRecentFacilities = "most-recent-facilities";

	public static final String AppointmentRequests = "appointment-requests";
    public static final String AppointmentRequestMessages = "appointment-request-messages";
    public static final String AppointmentRequestNewMessageFlag = "appointment-request-new-message-flag";
    public static final String AppointmentRequestProviderSeenFlag = "appointment-request-provider-seen-flag";

	public static final String AppointmentMetricsNoIcnOrDfn = "no-icn-or-dfn-metric";
	public static final String AppointmentMetricsNoDfnCancelRequest = "no-dfn-cancel-request-metric";
	public static final String PatientInternal = "internal-patient-data";

	public static final String AppointmentRequestFeedback = "feedback-appointment-request";

	public static final String AppointmentRequestInProcess = "appointment-request-in-process";

	public static final String ToolTrackingResults = "tool-tracking-result";
	public static final String OAuthLogin = "oauth-login";
    public static final String OAuthAuthorize = "oauth-authorize";
    public static final String ValidateToken = "validate-token";

	public static final String OAuthToken = "oauth-token";
    public static final String LaunchpadMetadata = "launchpad-metadata";
    public static final String UserSession = "user-session";
    public static final String PublicUserSession = "public-user-session";
    public static final String AntibiogramFacility = "antibiogram-facility";
    public static final String AuditMetrics = "audit-metrics";

    public static final String ImmunizationResourceDirectory = "immunization-resource-directory";
    public static final String ImmunizationPatientResourceDirectory = "immunization-patient-resource-directory";
    public static final String Immunization = "immunization";
    public static final String ImmunizationCampaign = "immunization-campaign";
    public static final String ImmunizationHistory = "immunization-history";
    public static final String DocumentImmunization = "document-immunization";
    public static final String DocumentImmunizationReceivedElseWhere = "document-immunization-received-elsewhere";
    public static final String emailVIS = "mail";
    public static final String DeclineImmunization = "decline-immunization";
    public static final String ImmunizationClinics = "immunization-clinics";
    public static final String ImmunizationNoteTitles = "immunization-note-titles";

    public static final String LabTestReferenceLink = "lab-test-reference-link";
	public static final String StaffUserDisclaimer = "staff-user-disclaimer";
	public static final String StaffUserDisclaimerContent = "staff-user-disclaimer-content";

	public static final String StaffDirectory = "staff-directory";

	public static final String UserContextLink = "user-context";
    public static final String TaskResourceDirectory = "task-resource-directory";

	public static final String LocationServiceResourceDirectory = "location-service-resource-directory";
	public static final String WardsOperationalScope = "wards-operational";
	public static final String MdwsWardsOperationalScope = "mdws-wards";
    public static final String SpecialtyOperationalScope = "specialty-operational";
    public static final String SpecialtiesOperationalScope = "specialties-operational";

    public static final String ClinicsOperationalScope = "clinics-operational";
    public static final String MdwsClinicsOperationalScope = "mdws-clinics-operational";
    public static final String ClinicAppointmentSlots = "clinic-appointment-slots";

    public static final String PatientSearchResourceDirectory = "patient-search-resource-directory";
	public static final String RecentPatientSearchRecords = "recent";
	public static final String MyListSearchRecords = "my-list-search";

	public static final String ClinicalEventResourceDirectory = "clinical-event-resource-directory";
	public static final String ClinicalEvents = "note-writer-clinical-events";
	public static final String ClinicalEventsCount = "note-writer-clinical-events-count";

	public static final String NoteWriterResourceDirectory = "note-writer-resource-directory";
	public static final String Notes = "note-writer-notes";
	public static final String InProgressNotesCount = "note-writer-notes-count";
	public static final String MdwsNoteTitles = "mdws-note-titles";
	public static final String NoteTitles = "note-titles";
	public static final String LastSelectedNoteTitle = "last-selected-note-title";
    public static final String NoteWriterClinicAppointments = "note-writer-clinic-appointments";
    public static final String VisitRelatedTo = "visit-related-to";
	public static final String Providers = "providers";
	public static final String MdwsProviders = "mdws-providers";
	public static final String ValidateESign = "validate-e-sign";
	public static final String NoteTitle = "note-title";
	public static final String NoteTitleIsConsult = "is-consult";
	public static final String NoteTitleIsPRF = "is-patient-record-flag";
	public static final String NoteTitleIsOneVisitNote = "is-one-visit-note";
	public static final String NoteTitleIsSurgeryNote = "is-surgery-note";
	public static final String NoteBody = "note-body";
	public static final String SignNote = "sign";
	public static final String ProgressNotes = "patient-progressnotes-operational";
	public static final String VisitTypes = "visit-types";
	public static final String CurrentProviderTaskList = "current-provider-task-list";
	public static final String CurrentProviderConsults = "current-provider-consults";
    public static final String patientPathologyReports = "patient-pathology-reports";
    public static final String Specialties = "specialties";
    public static final String Site = "site";
    public static final String ConsultsBySpecialties = "consults-by-specialties";
    public static final String Procedures = "procedures";
    public static final String Diagnoses = "diagnoses";
    public static final String Modifiers = "modifiers";
    public static final String ProblemListDiagnoses = "problem-list-diagnoses";

    public static final String MVisumLink = "mvisum-link";
    public static final String BookNewAppointment = "book-new-appointment";
    public static final String BookingPurposeList = "purpose-list";
    public static final String FacilityRecallWaitList="facility-recall-waitlist";
    public static final String PatientOrders = "patient-orders";
    public static final String PatientOrdersGrouped = "patient-orders-grouped";
    public static final String PatientOrdersByCustom = "patient-orders-by-custom";
    public static final String PatientOrderStatuses = "patient-order-statuses";
    public static final String PatientOrderImagingTypes = "patient-order-imaging-types";
    public static final String PatientOrderImagingLists = "patient-order-imaging-lists";
    public static final String PatientOrderCategorySupplements = "patient-order-category-supplements";
    public static final String PatientOrderProcedureMessage = "patient-order-procedure-message";
    public static final String PatientOrderInpatientLocations = "patient-order-inpatient-locations";
    public static final String PatientOrderSaveRadiologyOrder = "patient-order-save-radiology-order";
    public static final String PatientOrderAcceptOrder = "patient-order-accept-order";
    public static final String PatientOrderAdmissions = "patient-order-admissions";
    public static final String PatientOrderClinics = "patient-order-clinics";
    public static final String PatientOrderLocations = "patient-order-locations";
    public static final String PatientOrderCreatinineTest = "patient-order-creatinine-test";

    public static final String PatientOrderResultsHistory = "patient-order-results-history";

    public static final String patientlabOrderDetails = "patient-lab-order-details";
    public static final String CancelReasonsList="cancel-reasons-list";
    public static final String CancelAppointment = "cancel-appointment";
    public static final String removeWaitList = "remove-waitlist";

    public static final String MVisumUrl="mvisum-url";
    public static final String UpdateNearList = "update-near-list";
    public static final String updateEwlEntry = "update-ewl-entry";
    public static final String PatientConsultsFromVista = "patient-consults-vista";

	public static final String BroadCastMessages = "broadcast-messages";
	public static final String PortalFavoritesDefaultItems = "portal-favorites-default-items";
	public static final String PortalFavorites = "portal-favorites";
    public static final String orderDetail = "order-detail";
    public static final String patientReportDocument = "patient-report-documents";
    public static final String LaunchPadLink = "launchpad-link";

    public static final String OrderServices = "order-services";
    public static final String OrderStatuses = "order-statuses";

	private LinkTitles() {
	}
}
