package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "modifiers", namespace = Namespace.MobileHealthPlatform)
public class Modifiers extends DomainTransferObjectCollection<Modifier>{
	private static final long serialVersionUID = -5011545632862299473L;
	
	public Modifiers() {}
	
	public Modifiers(Modifier... modifier) {
		for(int i = 0; i < modifier.length; i++) {
			this.add(modifier[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<Modifier> getModifier() {
		return this;
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("Modifiers (" + this.size() + "):");
		
		Iterator<Modifier> i = this.iterator();
        while (i.hasNext()) {
        	Modifier mc = i.next();
        	String s = String.format("%n%s", mc.toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
