package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "note-titles", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class NoteTitles extends DomainTransferObjectCollection<NoteTitle> {
	
	private static final long serialVersionUID = 3455645391327801239L;

	public NoteTitles() {}
	
	public NoteTitles(NoteTitle... noteTitles) {
		for(int i = 0; i < noteTitles.length; i++) {
			this.add(noteTitles[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<NoteTitle> getNoteTitle() {
		return this;
	}
	
}