package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;

@XmlRootElement
public class OrderPickListsCollection<T extends OrderPickListItem> extends DomainTransferObjectCollection<T>  {
    private static final long serialVersionUID = 1L;

    public List<OrderPickListItem> getOrderPickListsDataList() {
        List<OrderPickListItem> list = new ArrayList<OrderPickListItem>();
        for (OrderPickListItem data : this) {
            list.add(data);
        }
        return list;
    }

}
