package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "orderResultsHistory", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class OrderResultsHistory extends DomainTransferObject {
    private static final long serialVersionUID = 647147480074533786L;
	
    @XmlElement
    private String orderIen;
    @XmlElement
    private String resultHistory;
    
    public String getOrderIen() {
		return orderIen;
	}

	public void setOrderIen(String orderIen) {
		this.orderIen = orderIen;
	}

	public String getResultHistory() {
		return resultHistory;
	}

	public void setResultHistory(String resultHistory) {
		this.resultHistory = resultHistory;
	}

	@Override
	public String toString() {
		return "OrderResultsHistory [orderIen=" + orderIen + ", resultHistory=" + resultHistory + "]";
	}
}
