package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;


@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "orderStatusValueCollection", namespace=Namespace.MobileHealthPlatform)
public class OrderStatusValueCollection<T extends OrderStatusValue> extends DomainTransferObjectCollection<T>  {
    private static final long serialVersionUID = 1L;

    public List<OrderStatusValue> getOrderStatusValueDataList() {
        List<OrderStatusValue> list = new ArrayList<OrderStatusValue>();
        for (OrderStatusValue data : this) {
            list.add(data);
        }
        return list;
    }

}
