package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "recentlySelectedPatients", namespace = Namespace.MobileHealthPlatform)
public class RecentlySelectedPatients extends DomainTransferObjectCollection<SelectedPatient>{
	private static final long serialVersionUID = -5962715194189444329L;

	@XmlElement
	ProviderIdentifier provider;
	
	public RecentlySelectedPatients() {}
	
	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<SelectedPatient> getSelectedPatient() {
		return this;
	}

	public ProviderIdentifier getProvider() {
		return provider;
	}

	public void setProvider(ProviderIdentifier provider) {
		this.provider = provider;
	}

}
