package com.agilex.healthcare.mobilehealthplatform.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.Collection;

/**
 * Created with IntelliJ IDEA.
 * User: patelh
 * Date: 2/20/14
 * Time: 2:04 PM
 * To change this template use File | Settings | File Templates.
 */
@XmlRootElement(name = "reportDocuments", namespace = Namespace.MobileHealthPlatform)
@XmlAccessorType(value = XmlAccessType.NONE)
public class ReportDocuments extends PatientDataCollection<ReportDocument>{

    private static final long serialVersionUID = 4960646845981684448L;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public long     recordCount;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public int      pageCount;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public int      currentPage;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public long      startRecord;

    @XmlElement(namespace = Namespace.MobileHealthPlatform)
    public long      stopRecord;

    @XmlElement
    public Collection<ReportDocument> getReportDocument(){
        return this;
    }

    public long getRecordCount() {
        return recordCount;
    }

    public void setRecordCount(long recordCount) {
        this.recordCount = recordCount;
    }

    public int getPageCount() {
        return pageCount;
    }

    public void setPageCount(int pageCount) {
        this.pageCount = pageCount;
    }

    public int getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(int currentPage) {
        this.currentPage = currentPage;
    }

    public long getStartRecord() {
        return startRecord;
    }

    public void setStartRecord(long startRecord) {
        this.startRecord = startRecord;
    }

    public long getStopRecord() {
        return stopRecord;
    }

    public void setStopRecord(long stopRecord) {
        this.stopRecord = stopRecord;
    }
}
