package com.agilex.healthcare.mobilehealthplatform.domain;


import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "texts", namespace=Namespace.MobileHealthPlatform)
public class Texts extends TextValueCollection<Text> {

    /**
	 * 
	 */
	private static final long serialVersionUID = -5011817459903469167L;

	@XmlElement(namespace=Namespace.MobileHealthPlatform)
    public Collection<Text> getTextValues() {
        return this;
    }

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("Text (" + this.size() + "):");
		
		Iterator<Text> i = this.iterator();
        while (i.hasNext()) {
        	Text mc = i.next();
        	String s = String.format("%n%s", mc.toString());
        	sb.append(s);
        }

		return sb.toString();
	}
}
