package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "visit-related-tos", namespace = Namespace.MobileHealthPlatform)
public class VisitRelatedTos extends DomainTransferObjectCollection<VisitRelatedTo>{

	private static final long serialVersionUID = -6106392897780212461L;

	public VisitRelatedTos() {}
	
	public VisitRelatedTos(VisitRelatedTo... visitRelatedTos) {
		for(int i = 0; i < visitRelatedTos.length; i++) {
			this.add(visitRelatedTos[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<VisitRelatedTo> getVisitRelatedTo() {
		return this;
	}
	
	@Override
	public String toString() {
        Iterator<VisitRelatedTo> i = iterator();
        if (! i.hasNext())
        	return "";

		StringBuilder sb = new StringBuilder();
		for (;;) {
			VisitRelatedTo e = i.next();
		    sb.append(e.getCode());
		    if (! i.hasNext())
		    	return sb.toString();
		    
		    sb.append(", ");
		}
	}
}
