package com.agilex.healthcare.mobilehealthplatform.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "visitTypes", namespace = Namespace.MobileHealthPlatform)
public class VisitTypes extends DomainTransferObjectCollection<VisitType>{
	private static final long serialVersionUID = 985585858311722333L;

	public VisitTypes() {}
	
	public VisitTypes(VisitType... visitType) {
		for(int i = 0; i < visitType.length; i++) {
			this.add(visitType[i]);
		}
	}

	@XmlElement(namespace = Namespace.MobileHealthPlatform)
	public Collection<VisitType> getVisitType() {
		return this;
	}
	
	@Override
	public String toString() {
        Iterator<VisitType> i = iterator();
        if (! i.hasNext())
        	return "";

		StringBuilder sb = new StringBuilder();
		for (;;) {
			VisitType e = i.next();
		    sb.append(e.toString());
		    if (! i.hasNext())
		    	return sb.toString();
		    
		    sb.append(", ");
		}
	}
}
