package com.agilex.healthcare.mobilehealthplatform.domain.code;

// These constants represent LOINC where possible
// http://wiki.ihe.net/index.php?title=1.3.6.1.4.1.19376.1.5.3.1.4.13.2
public class ObservationTypeCode {
	private ObservationTypeCode() {
	}

	public static final String INTRAVASCULAR_DIASTOLIC = "8462-4";
	public static final String INTRAVASCULAR_SYSTOLIC = "8480-6";
	public static final String HEART_BEAT = "8867-4";
	public static final String BODY_TEMPERATURE = "8310-5";
	public static final String RESPIRATION = "9279-1";
	public static final String PAIN = "pain";
	public static final String MOOD = "mood";
	public static final String HEIGHT = "8302-2";
	public static final String WEIGHT = "3141-9";
	public static final String PULSE_OXIMETRY = "59408-5";
	public static final String MEAN_ARTERIAL_PRESSURE = "mean-arterial-pressure";
}
