package com.agilex.healthcare.mobilehealthplatform.enumeration;

public enum InOutpatientCare {
	INPATIENT('I'), OUTPATIENT('O'), UNKNOWN('U');
	 
	 private char code;
	 
	 private InOutpatientCare(char code) {
	   this.code = code;
	 }
	 
	 public char getCode() {
	   return this.code;
	 }
	 
	 public static InOutpatientCare lookUpByCode(char code){
		 InOutpatientCare type = InOutpatientCare.UNKNOWN;
		 if (Character.toString(code).matches("I")) {
			 type = InOutpatientCare.INPATIENT;
		 }else if (Character.toString(code).matches("O")) {
			 type = InOutpatientCare.OUTPATIENT;
		 }
		 return type;
	 }
}
