package com.agilex.healthcare.mobilehealthplatform.enumeration;

import org.apache.commons.lang.StringUtils;

public enum MedicationSubType {

	Inpatient("Inpt. Meds"),
	Outpatient("Out. Meds"),
	NonVA("Non-VA Meds");
	
	private String data;
	
	private MedicationSubType(String data){
		this.data = data;
	}
	
	public static MedicationSubType dataOf(String data){
		for (MedicationSubType subtype : MedicationSubType.values()){
			if(StringUtils.endsWithIgnoreCase(subtype.data, data)){
				return subtype;
			}
		}
		return null;
	}
}
