package com.agilex.healthcare.notewriter.domain;

import java.util.Collection;
import java.util.Iterator;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObjectCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.Namespace;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "codes", namespace = Namespace.MobileHealthPlatform)
public class EncounterDiagnosisICDCodes extends DomainTransferObjectCollection<EncounterDiagnosisICDCode> {
	private static final long serialVersionUID = 4327784523455286377L;

	public EncounterDiagnosisICDCodes() {}
	
	public EncounterDiagnosisICDCodes(EncounterDiagnosisICDCode... code) {
		for(int i = 0; i < code.length; i++) {
			this.add(code[i]);
		}
	}
	
	@XmlElement(namespace = Namespace.MobileHealthPlatform)
    public  Collection<EncounterDiagnosisICDCode> getEncounterDiagnosisICDCode() {
		return this;
	}

	@Override
	public String toString() {
        Iterator<EncounterDiagnosisICDCode> i = iterator();
        if (! i.hasNext())
        	return "";

		StringBuilder sb = new StringBuilder();
		for (;;) {
			EncounterDiagnosisICDCode e = i.next();
		    sb.append(e.toString());
		    if (! i.hasNext())
		    	return sb.toString();
		    
		    sb.append(", ");
		}
	}
}
