package com.agilex.healthcare.utility;

public class ModeHelper {
	public static final String VA_PROVIDER_DEV = "va-provider-dev";
	public static final String VA_PROVIDER_PROD = "va-provider-prod";
	
	public static boolean isMode(String... mode) {
		String runningMode = getCurrentMode();

		boolean foundMode = false;
		for (String singleMode : mode) {
			if (singleMode.equalsIgnoreCase(runningMode)) {
				foundMode = true;
				break;
			}
		}

		return foundMode;
	}

	public static String getCurrentMode() {
		String runningMode = System.getProperty("org.apache.cocoon.mode");
		return runningMode;
	}
}
