package com.agilex.healthcare.mobilehealthplatform.domain;

import static junit.framework.Assert.assertEquals;

import java.lang.reflect.Field;
import java.util.Calendar;

import org.junit.Test;

public class ConsultTest {

	@Test
	public void calculateDaysOnList() throws SecurityException, NoSuchFieldException, IllegalArgumentException, IllegalAccessException {
		Calendar cal = Calendar.getInstance();
		cal.add(Calendar.HOUR_OF_DAY, -23);
		cal.add(Calendar.MINUTE, -59);
		Consult c = new Consult();
		
		//Use Java Reflection to set the date of createdDate to be 23 hours and 59 minutes (which guarantees it is the previous day)
		Field privateField = Consult.class.getDeclaredField("createdDate");
		privateField.setAccessible(true);
		privateField.set(c, cal.getTime());
		Integer days = c.getDaysOnList();
		
		assertEquals(1, days.intValue());
	}
}
