package com.agilex.healthcare.utility.datemarshallers;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class XSSProtectionMapperTest {

	@Test
	public void testUnescapingOfValidValues() throws Exception {
		XSSProtectionMapper mapper = new XSSProtectionMapper();
		assertEquals("6 > 7", mapper.marshal("6 > 7"));
	}
	
	@Test
	public void testTruncationOfScriptTags() throws Exception {
		XSSProtectionMapper mapper = new XSSProtectionMapper();
		assertEquals("test&", mapper.marshal("test&<script>alert(1)</script>"));
	}
}
