package com.agilex.healthcare.mobilehealthplatform.mdws;

public class MdwsResponseValidator {
	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(MdwsResponseValidator.class);
	
	public static <T extends com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.mhvservice.AbstractTO> void validateMdwsObject(T t) {
		if(t.getFault() != null) {
			logger.error("MDWSLib MdwsResponseValidator Exception : "+t.getFault().getMessage());
			throw new MdwsResponseException(t.getFault());
		}
	}
	public static <T extends com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.emrservice.AbstractTO> void validateMdwsObject(T t) {
		if(t.getFault() != null) {
			logger.error("MDWSLib MdwsResponseValidator Exception : "+t.getFault().getMessage());
			throw new MdwsResponseException(t.getFault());
		}
	}
	public static <T extends com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.schedulingservice.AbstractTO> void validateMdwsObject(T t) {
		if(t.getFault() != null) {
			logger.error("MDWSLib MdwsResponseValidator Exception : "+t.getFault().getMessage());
			throw new MdwsResponseException(t.getFault());
		}
	}
	public static <T extends com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.AbstractTO> void validateMdwsObject(T t) {
		if(t.getFault() != null) {
			logger.error("MDWSLib MdwsResponseValidator Exception : "+t.getFault().getMessage());
			throw new MdwsResponseException(t.getFault());
		}
	}
	
}
