package com.agilex.healthcare.mobilehealthplatform.mdws;


import com.agilex.healthcare.mobilehealthplatform.mdws.connection.SchedulingSvcConnection;
import com.agilex.healthcare.mobilehealthplatform.mdws.connection.SchedulingSvcConnectionManager;
import com.agilex.healthcare.mobilehealthplatform.mdws.connection.SchedulingSvcConnectionManagerFactory;
import com.agilex.healthcare.mobilehealthplatform.mdws.soapconsumer.MdwsConfiguration;

public class MdwsSchedulingSvcDataLayer {

    protected MdwsConfiguration mdwsConfiguration;

    public MdwsSchedulingSvcDataLayer(MdwsConfiguration mdwsConfiguration) {
        this.mdwsConfiguration = mdwsConfiguration;
    }

    protected SchedulingSvcConnection getAuthenticatedConnection(String siteCode) {
        SchedulingSvcConnectionManager connectionManager = SchedulingSvcConnectionManagerFactory.getInstance();
        return connectionManager.getAuthenticatedSiteConnection(mdwsConfiguration, siteCode);
    }

}
