
package com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.emrservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AbstractTaggedArrayTO complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AbstractTaggedArrayTO">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/EmrSvc}AbstractArrayTO">
 *       &lt;sequence>
 *         &lt;element name="tag" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AbstractTaggedArrayTO", propOrder = {
    "tag"
})
@XmlSeeAlso({
    TaggedHospitalLocationArray.class,
    TaggedPatientArray.class,
    TaggedMentalHealthResultSetArray.class,
    TaggedGraphingItemDataArray.class,
    TaggedHealthFactorArray.class,
    TaggedInpatientStayArray.class,
    TaggedItemForGraphingTypeArray.class,
    TaggedVisitArray.class,
    TaggedLexiconEntryArray.class,
    TaggedConsultArray.class,
    TaggedProblemArray.class,
    TaggedCytologyRptArray.class,
    TaggedSurgicalPathologyRptArray.class,
    TaggedIcdRptArray.class,
    TaggedChemHemRptArray.class,
    TaggedVitalSignArray.class,
    TaggedOrderArray.class,
    TaggedRadiologyReportArray.class,
    TaggedPatientAssociateArray.class,
    TaggedSurgeryReportArray.class,
    TaggedNoteArray.class,
    TaggedMedicationArray.class,
    TaggedAppointmentArray.class,
    TaggedLabTestArray.class,
    TaggedMicrobiologyRptArray.class,
    TaggedAllergyArray.class,
    TimeSlotArray.class,
    TaggedMentalHealthInstrumentAdministrationArray.class,
    TaggedVitalSignSetArray.class
})
public class AbstractTaggedArrayTO
    extends AbstractArrayTO
{

    protected String tag;

    /**
     * Gets the value of the tag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTag() {
        return tag;
    }

    /**
     * Sets the value of the tag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTag(String value) {
        this.tag = value;
    }

}
