
package com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrdersTO complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrdersTO">
 *   &lt;complexContent>
 *     &lt;extension base="{http://mdws.domain/OrderMgmtSvc}AbstractTO">
 *       &lt;sequence>
 *         &lt;element name="orderIen" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="dateEntered" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="startDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="stopDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="status" type="{http://mdws.domain/OrderMgmtSvc}OrderStatus" minOccurs="0"/>
 *         &lt;element name="sigStatus" type="{http://mdws.domain/OrderMgmtSvc}SignatureStatus" minOccurs="0"/>
 *         &lt;element name="verifyingNurse" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="verifyingClerk" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="chartReviewer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="provider" type="{http://mdws.domain/OrderMgmtSvc}UserTO" minOccurs="0"/>
 *         &lt;element name="orderText" type="{http://mdws.domain/OrderMgmtSvc}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="flag" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="type" type="{http://mdws.domain/OrderMgmtSvc}OrderTypeTO" minOccurs="0"/>
 *         &lt;element name="location" type="{http://mdws.domain/OrderMgmtSvc}HospitalLocationTO" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrdersTO", propOrder = {
    "orderIen",
    "dateEntered",
    "startDate",
    "stopDate",
    "status",
    "sigStatus",
    "verifyingNurse",
    "verifyingClerk",
    "chartReviewer",
    "provider",
    "orderText",
    "flag",
    "type",
    "location"
})
public class OrdersTO
    extends AbstractTO
{

    protected String orderIen;
    protected String dateEntered;
    protected String startDate;
    protected String stopDate;
    protected OrderStatus status;
    protected SignatureStatus sigStatus;
    protected String verifyingNurse;
    protected String verifyingClerk;
    protected String chartReviewer;
    protected UserTO provider;
    protected ArrayOfString orderText;
    protected boolean flag;
    protected OrderTypeTO type;
    protected HospitalLocationTO location;

    /**
     * Gets the value of the orderIen property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrderIen() {
        return orderIen;
    }

    /**
     * Sets the value of the orderIen property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrderIen(String value) {
        this.orderIen = value;
    }

    /**
     * Gets the value of the dateEntered property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDateEntered() {
        return dateEntered;
    }

    /**
     * Sets the value of the dateEntered property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDateEntered(String value) {
        this.dateEntered = value;
    }

    /**
     * Gets the value of the startDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * Sets the value of the startDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStartDate(String value) {
        this.startDate = value;
    }

    /**
     * Gets the value of the stopDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStopDate() {
        return stopDate;
    }

    /**
     * Sets the value of the stopDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStopDate(String value) {
        this.stopDate = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link OrderStatus }
     *     
     */
    public OrderStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderStatus }
     *     
     */
    public void setStatus(OrderStatus value) {
        this.status = value;
    }

    /**
     * Gets the value of the sigStatus property.
     * 
     * @return
     *     possible object is
     *     {@link SignatureStatus }
     *     
     */
    public SignatureStatus getSigStatus() {
        return sigStatus;
    }

    /**
     * Sets the value of the sigStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureStatus }
     *     
     */
    public void setSigStatus(SignatureStatus value) {
        this.sigStatus = value;
    }

    /**
     * Gets the value of the verifyingNurse property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVerifyingNurse() {
        return verifyingNurse;
    }

    /**
     * Sets the value of the verifyingNurse property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVerifyingNurse(String value) {
        this.verifyingNurse = value;
    }

    /**
     * Gets the value of the verifyingClerk property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVerifyingClerk() {
        return verifyingClerk;
    }

    /**
     * Sets the value of the verifyingClerk property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVerifyingClerk(String value) {
        this.verifyingClerk = value;
    }

    /**
     * Gets the value of the chartReviewer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChartReviewer() {
        return chartReviewer;
    }

    /**
     * Sets the value of the chartReviewer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChartReviewer(String value) {
        this.chartReviewer = value;
    }

    /**
     * Gets the value of the provider property.
     * 
     * @return
     *     possible object is
     *     {@link UserTO }
     *     
     */
    public UserTO getProvider() {
        return provider;
    }

    /**
     * Sets the value of the provider property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserTO }
     *     
     */
    public void setProvider(UserTO value) {
        this.provider = value;
    }

    /**
     * Gets the value of the orderText property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getOrderText() {
        return orderText;
    }

    /**
     * Sets the value of the orderText property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setOrderText(ArrayOfString value) {
        this.orderText = value;
    }

    /**
     * Gets the value of the flag property.
     * 
     */
    public boolean isFlag() {
        return flag;
    }

    /**
     * Sets the value of the flag property.
     * 
     */
    public void setFlag(boolean value) {
        this.flag = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link OrderTypeTO }
     *     
     */
    public OrderTypeTO getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrderTypeTO }
     *     
     */
    public void setType(OrderTypeTO value) {
        this.type = value;
    }

    /**
     * Gets the value of the location property.
     * 
     * @return
     *     possible object is
     *     {@link HospitalLocationTO }
     *     
     */
    public HospitalLocationTO getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     * 
     * @param value
     *     allowed object is
     *     {@link HospitalLocationTO }
     *     
     */
    public void setLocation(HospitalLocationTO value) {
        this.location = value;
    }

}
