package com.agilex.healthcare.mobilehealthplatform.mdws.translator;

import com.agilex.healthcare.mobilehealthplatform.domain.Text;
import com.agilex.healthcare.mobilehealthplatform.mdws.MdwsResponseException;
import com.agilex.healthcare.mobilehealthplatform.mdws.generatedwsdl.ordermgmtservice.TextTO;

public class OrderTextToTranslator {

    public Text translateFromTextTo(TextTO textTO){
        if(textTO == null) //Notice this is different from the other translators.
            return new Text();
    	if (textTO.getFault() != null)
    		throw new MdwsResponseException(textTO.getFault());

    	String textValue = textTO.getText();
		
    	Text text = new Text();
        text.setTextValue(textValue);
        return text;
    }
}
