package com.agilex.healthcare.mobilehealthplatform.security;

import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;

import com.agilex.healthcare.mobilehealthplatform.domain.MhpUser;

public class MhpUserUtil {
	public static MhpUser getMhpUser() {
		SecurityContext ctx = SecurityContextHolder.getContext();

		AppUser appUser = (AppUser) ctx.getAuthentication().getPrincipal();
		MhpUser mhpUser = appUser.getMhpUser();
		mhpUser.setUserName(appUser.getUsername());

		return mhpUser;
	}
}
