package com.agilex.healthcare.mobilehealthplatform.restservice;

import javax.ws.rs.GET;
import javax.ws.rs.Path;

import com.agilex.healthcare.mobilehealthplatform.domain.Address;
import com.agilex.healthcare.mobilehealthplatform.domain.Addresses;
import com.agilex.healthcare.mobilehealthplatform.domain.AtomLink;
import com.agilex.healthcare.mobilehealthplatform.domain.AtomLinks;
import com.agilex.healthcare.mobilehealthplatform.domain.DomainTransferObjectCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.ElementTypes;
import com.agilex.healthcare.mobilehealthplatform.domain.GraphDataSeries;
import com.agilex.healthcare.mobilehealthplatform.domain.GraphDataSeriesCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.LabTests;
import com.agilex.healthcare.mobilehealthplatform.domain.LaunchpadItem;
import com.agilex.healthcare.mobilehealthplatform.domain.LaunchpadItems;
import com.agilex.healthcare.mobilehealthplatform.domain.LaunchpadMetadata;
import com.agilex.healthcare.mobilehealthplatform.domain.Patient;
import com.agilex.healthcare.mobilehealthplatform.domain.PatientDataCollection;
import com.agilex.healthcare.mobilehealthplatform.domain.Patients;
import com.agilex.healthcare.mobilehealthplatform.domain.PhoneNumber;
import com.agilex.healthcare.mobilehealthplatform.domain.PhoneNumbers;
import com.agilex.healthcare.mobilehealthplatform.domain.TimingKeyValuePairs;
import com.agilex.healthcare.mobilehealthplatform.domain.ToolCategories;
import com.agilex.healthcare.mobilehealthplatform.domain.ToolCategory;
import com.agilex.healthcare.notewriter.domain.EncounterProcedureCPTCodes;


/**
 * DO NOT DELETE THIS UNUSED FILE.
 * FakeResource is necessary for the ICD library to understand certain data types that aren't exposed as part of an endpoint
 */
@Path("fake")
public class FakeResource {
	@GET
	@Path("DomainTransferObjectCollection")
	public DomainTransferObjectCollection<?> getDomainTransferObjectCollection() {
		return null;
	}

	@GET
	@Path("PatientDataCollection")
	public PatientDataCollection<?> getPatientDataCollection() {
		return null;
	}

	@GET
	@Path("AtomLinks")
	public AtomLinks getAtomLinks() {
		return null;
	}

	@GET
	@Path("AtomLink")
	public AtomLink getAtomLink() {
		return null;
	}

	@GET
	@Path("GraphDataSeries")
	public GraphDataSeries getGraphDataSeries() {
		return null;
	}

	@GET
	@Path("GraphDataSeriesCollection")
	public GraphDataSeriesCollection getGraphDataSeriesCollection() {
		return null;
	}

	@GET
	@Path("patient")
	public Patient getPatient() {
		return null;
	}

	@GET
	@Path("patients")
	public Patients getPatients() {
		return null;
	}

	@GET
	@Path("labTests")
	public LabTests getLabTests() {
		return null;
	}

	@GET
	@Path("TimingKeyValuePairs")
	public TimingKeyValuePairs getTimingKeyValuePairs() {
		return null;
	}

	@GET
	@Path("ToolCategories")
	public ToolCategories getToolCategories() {
		return null;
	}
	
	@GET
	@Path("ToolCategory")
	public ToolCategory getToolCategory() {
		return null;
	}

	@GET
	@Path("ElementTypes")
	public ElementTypes getElementTypes() {
		return null;
	}
	
	@GET
	@Path("Address")
	public Address getAddress() {
		return null;
	}
	
	@GET
	@Path("Addresses")
	public Addresses getAddresses() {
		return null;
	}
	
	@GET
	@Path("PhoneNumber")
	public PhoneNumber getPhoneNumber() {
		return null;
	}
	
	@GET
	@Path("PhoneNumbers")
	public PhoneNumbers getPhoneNumbers() {
		return null;
	}
	
	@GET
	@Path("LaunchpadItems")
	public LaunchpadItems getLaunchpadItems() {
		return null;
	}
	
	@GET
	@Path("LaunchpadItem")
	public LaunchpadItem getLaunchpadItem() {
		return null;
	}
	
	@GET
	@Path("LaunchpadMetadata")
	public LaunchpadMetadata getLaunchpadMetadata() {
		return null;
	}
	
	@GET
	@Path("EncounterProcedureCPTCodes")
	public EncounterProcedureCPTCodes getEncounterProcedureCPTCodes() {
		return null;
	}
}
