package com.agilex.healthcare.mobilehealthplatform.clientapi;

import java.net.URI;

import com.agilex.healthcare.mobilehealthplatform.domain.Allergy;
import com.sun.jersey.api.client.UniformInterfaceException;

public class AllergyResourceClient {
	private static org.apache.commons.logging.Log log = org.apache.commons.logging.LogFactory.getLog(PatientResourceClient.class);
	private JerseyClientHandle jerseyClientHandle = null;

	public AllergyResourceClient(JerseyClientHandle jerseyClientHandle) {
		log.debug("initializing allergy resource client");
		this.jerseyClientHandle = jerseyClientHandle;
	}

	public Allergy getAllergy(URI uri) {
		Allergy retvalue = null;
		try {
			com.sun.jersey.api.client.WebResource resourceHandle = jerseyClientHandle.resource(uri);
			log.info("get uri " + resourceHandle.getURI().toString());
			retvalue = resourceHandle.get(Allergy.class);
		}
		catch (UniformInterfaceException e) {
			AssertJersey.fail(e);
		}
		return retvalue;
	}

}
