package com.agilex.healthcare.mobilehealthplatform.clientapi;

import java.net.URI;

import com.agilex.healthcare.mobilehealthplatform.domain.Problem;
import com.sun.jersey.api.client.UniformInterfaceException;

public class ProblemResourceClient {
	private static org.apache.commons.logging.Log log = org.apache.commons.logging.LogFactory.getLog(PatientResourceClient.class);
	private JerseyClientHandle jerseyClientHandle = null;

	public ProblemResourceClient(JerseyClientHandle jerseyClientHandle) {
		log.debug("initializing problem resource client");
		this.jerseyClientHandle = jerseyClientHandle;
	}

	public Problem getProblem(URI uri) {
		Problem retvalue = null;
		try {
			com.sun.jersey.api.client.WebResource resourceHandle = jerseyClientHandle.resource(uri);
			log.info("get uri " + resourceHandle.getURI().toString());
			retvalue = resourceHandle.get(Problem.class);
		}
		catch (UniformInterfaceException e) {
			AssertJersey.fail(e);
		}
		return retvalue;
	}
}
